Intro

LogPage and Interceptor

LogPage and Interceptor are Windows based applications used to log message traffic over a Pocsag or Flex paging network directly to a PC or computer network.

LogPage is designed to work with the PDT2000 Paging Data Terminal or PDR2000 Paging Data Receiver to monitor a single channel.

Interceptor combines with the Interceptor 4 channel receiver system to monitor up to 4 paging frequencies within up to 4 pre-selected frequency bands. Pocsag and Flex may be monitored on separate channels using Interceptor.

Both applications are equipped with powerful filtering and reporting tools that enable the user to automatically search through received page messages using different criteria and output the filtered results to the screen or via email as an automatic report.

Capcode Filter Criteria

  • Find all messages sent to a specified capcode
  • Find all messages sent to a specified range of capcodes
  • Find all messages sent to any capcode greater than a specified value
  • Find all messages sent to any capcode less than a specified value

Text Filter Criteria

The user can define a word, a phrase or a group of unrelated words

  • Find all messages that contains a word, phrase or group of words or text.
  • Find all messages that contains a group of words or text in any order
  • Find all messages that contains a group of words or text in a specfied order
  • All searches can be defined as case sensitive or case insensitive
  • All searches can be defined as searches for partial word match or searches for the whole word only

Capcode And Text Filter Criteria

Capcode and text filter criteria can be combined together in a single search, and the user has option to combine them in three different ways:

  • Find all messages that match both capcode and text criteria
  • Find all messages that match either capcode or text or both
  • Find all messages that matche either capcode or text but not both

An unlimited number of search filters can be set up and each filter can be displayed in a different way (different background and text colour), can raise a visual and/or audible alert and can be re-sent as a page message, email message or text message to an unlimited number of pagers, email addresses and of mobile phones.

Watchdog Alarms

Both applications can have Watchdog Alarms set up which monitor the watchdog messages sent out on most paging networks (messages sent on a regular interval to a specific capcode) to detect failure of the network or transmitter. On detection of a watchdog failure audible and visual alsrms can be raised as well as messages sent to pagers, email addresses and mobile phones.

Reports

A powerful and easy to use reporting engine is included in both LogPage and Interceptor to enable the develop customized reports of message traffic based on the stored message database.

The user can set multiple criteria for each report in a similar manner to the filtering criteria.

Each report can be stored as a report template and re-used many times.

The results of each report query may be displayed on screen and can be saved as a CSV file which can be opened and analysed in a spreadsheet program.

The user can also set the program to run reports automatically at certain time intervals (days or hours) and send the results as attached CSV files by email to an unlimited number of email addresses.

Both applications come in three flavours: standalone, server and client.


Installation

Setup

Requirements

Operating System: Windows NT / 2000 / XP / Vista / Windows 7 / Windows 8 / Windows 10

Disc Space: 20 MB

Hardware:

  • PDT3000 Paging Data Terminal or PDR3000 Paging Data Receiver (for LogPage standalone and server)
  • Interceptor 4 channel receiver system (for Interceptor standalone and server)

Software: IPage Server software (installed by the installer)

Installation

Setup programs for all versions of LogPage run in the administrator mode, so you must be logged on as a local machine administrator.

After installation, all programs also run in the administrator mode.

LogPage NA (No admin)

  1. Log on to the machine as the computer administrator.
  2. Run the installation program.
  3. Run LogPage/Interceptor NA for the first time as an administrator.
  4. Find the folder that LogPage/Interceptor is installed in. (default - "C:\Program Files\LogPage")
  5. Give any restricted user that will use the application permission to write to that folder.
The user should have following rights for the LogPage/Interceptor folder:
  • Read & Execute
  • List Folder Contents
  • Read
  • Write

Note: For power users and administrators step 5 is not necessary, because they already have these rights.

Registration

To enter the registration data and to register LogPage/Interceptor you must be logged on to the machine as an administrator.

For NA (No Admin) version, you mist run the application "As administrator".

The application is registered per machine and the registration is valid for any user that can log on to that computer.


Server

LogPage/Interceptor Server

LogPage/Interceptor Server has all functionality of the standalone application. In addition it is capable to connect through the TCP/IP connection to unlimited number of clients and feed them with data that it receives from the hardware device.

To accomplish that it creates a TCP port that enables clients to connect to it. For every client that requests a connection, the server creates:

  • New connection
  • Memory buffer to store data while waiting to send them to the client
  • Separate thread of execution, to avoid interference with other server functionality

The server also handles the authentication process for its clients.

While dispatching messages to its client, the server is able also to perform:

  • Displaying messages
  • Message filtering
  • Storing messages into the file
  • Raising watchdog alarm
  • Running reports

If you are using the server only to send messages to the clients and want to save some computer resources, just turn channel(s) on the server off.

Running Server

Before running the server, you need to set some values, specific for the server application. (see System Settings - Tcp Server).

To run the server, use the same commands as for running the standalone application (see Running LogPage/Interceptor).

When the server runs, it connects to the hardware device, and waits for the clients.

For a testing purpose, you can also run the server in a demo mode and the server will send demo messages to its clients.

Connecting Client

When a client asks for a connection, the server requests it to pass through the authentication procedure. If the authentication procedure is unsuccessful, the client is disconnected.

The server maintains data about all successfully connected clients for the duration of the server application. Data are not stored permanently.

Disconnecting Client

When the client disconnects, it is marked as inactive and logged out of the system. That means that the next time the client ask for the connection it will have to pass the authentication procedure again.

To speed up future connections data about the client are maintained in the server memory. To conserve resources, its buffers and thread are destroyed.

Broken Connection

When the connection to the client is broken, the server will carry out the same procedure as with the disconnection, but it will not log the client out of the system. So, when the client manages to fix the connection it will not be required to pass the authentication.

Stopping Server

To stop the server, use the same commands as for stopping the standalone application (see Running LogPage/Interceptor).

The server will carry out the disconnect procedure for all the clients. Before disconnecting, it will send a warning message to all its clients.


Client

LogPage/Interceptor Client

LogPage/Interceptor Client has almost all functionality of the standalone application. It is also capable to connect through the TCP/IP connection to the designated server and receive message data from it.

Differences:

  • Cannot connect directly to the hardware device – Tools for setting hardware connection missing
  • Data about users maintained on the server – All user settings tools disabled
  • Cannot run a demo application (all data come from the server) – All demo engine tools disabled

After receiving messages from the server, the client is also able to perform:

  • Displaying messages
  • Message filtering
  • Storing messages into the file
  • Raising watchdog alarm
  • Running reports

Connection Error Log

Besides that, the Client application maintains an connection error log, to help the user to troubleshoot connection problems.

This log can be found in the “<Install_directory>\ LogPage Client\Logs” folder under the name “IPErrorLogXX.txt” (‘XX” denotes a file number).

To see that file while the client is running, use one of the following commands:

Select 'File|Show Error Log'

Shortcut: Ctrl+E
Hot Keys : Alt+F,E

Running Client

Before running the client, you need to set some values, specific for the client application. (see System Settings - Tcp Client).

To run the client, use the same commands as for running the standalone application (see Running LogPage/Interceptor).

When the client runs, it attempts to connect to the server.

Connecting to Server

When a client asks for the connection, the server requests the authentication. If the authentication procedure is successful, the client automatically starts receiving messages.

It is the client responsibility to maintain its connection to the server. That is why the client regularly checks for the state of the connection. If the client concludes that the connection is broken it will start a reconnect procedure.

Stopping Client

To stop the client, use the same commands as for stopping the standalone application (see Running LogPage/Interceptor).

The client will send an appropriate message to the server to let it know that the client is terminating its connection. After that the client will disconnect from the server.

When the client disconnects in that way from the server, it will be logged out of the system. That means that the next time the client ask for the connection it will have to pass the authentication procedure again.


Starting PI

Starting Application

During the start up, the application will check some basic settings and you will be required to log in.

If the application does not find all necessary files, you will get an error message.

Database Error

If you have deleted the database or moved its file to another folder, You will get the ‘Database error message’. The message will offer you the choice to find the correct database file.
If you answer ‘Yes’, you will get a dialog box, which will help you to find the database.

If you answer ‘No’, the application will terminate.

Click on the ‘Find’ button to open the ‘Find File’ dialog.

In the dialog’s title you will see the name of the database file that system is expecting to find. Find that file and click the ‘Open’ button to return to the previous dialog.

Select the ‘Connect’ button. If you get the ‘Success’ message, just click on the ‘OK’ button to continue with loading of the application. Otherwise, try to find another file.


Log In

Before it starts, LogPage/Interceptor will require from the user to complete the authentication process.

Log into the system:

  • Enter your user name in the “User Name” control – not case sensitive
  • Enter your password in the “Password” control – case sensitive
  • Press the “Log In” button or the Enter key.

If the login procedure is not successful, the application displays an error message and the remaining number of trials allowed. Current default is three unsuccessful trials, before the application terminates.

After you log into the LogPage/Interceptor, the system will set all permissions according to the account permissions, set by the administrator.

Default login for the administrator:

  • User Name: Admin
  • Password: admin

Default login data for other users are assigned by the administrator.
It is strongly recommended that you change your password as soon as you log into the system for the first time.

LogPage/Interceptor Client application does not require authentication on start up. You will be asked to log in after you select one of the "Run" commands and the client successfully connects to the LogPage/Interceptor Server.

Quick Log In

If you always use LogPage/Interceptor as an administrator, you can bypass the login procedure by un-checking “File|Use Login” menu item. If this menu item is not checked, the program will bypass authentication on start up and log the user automatically as an administrator.

Note: This feature is not available in the LogPage/Interceptor Client application.

If only one person will be using LogPage/Interceptor on a particular computer, the “Remember Me” check box on the “Login” dialog may be checked after entering the user name and password. Next time when you start the application, your login data will be already entered and all you need to do is to select the “Log In” button or press the “Enter” key.

The system can remember only one user at the time, so the last one will overwrite the previous. All authentication data is stored in a secure way.

This feature is available in all versions of LogPage/Interceptor.

Warning:

Be aware that both “Quick Log In” procedures pose a security risk.

Log in as a different user

Select ‘File|Log Off <userName>'
Shortcut: Ctrl+Q
Hot Keys: Alt+F,L

Any of commands above will start a new login procedure, where you can login as a different user.

Note: This feature is not available in the LogPage/Interceptor Client application.


Main Display

Main Form

Toolbar

The main toolbar contains buttons that are associated with commands that are used more often. Each button has an icon that indicates its function.
If you are not sure what is a button for, hover the mouse over the button and a description (and keyboard shortcut) will pop up. You will also see a description of its functionality displayed in the first panel of the main status bar.

LogPage Toolbar

Interceptor Toolbar

Note: Depending on your permissions, some of the buttons may be disabled.

Showing/hiding Toolbar

You can select to show or hide the main toolbar. Use one of the following toggle commands:

Select ‘View|Toolbar’ – if shown, a check mark appears on the menu

Shortcut: Shift+Ctrl+T
Hot Keys: Alt+V,T

If the main toolbar is displayed, the above commands will hide it and vice versa.

Status Bar

The main status bar consists of 4 fields. Their usage depends on the flavour of the LogPage/Interceptor application you are running.

Field

Display
First field | Longer version of hints, when the mouse moves over toolbar buttons or menu items
LogPage/Interceptor system messages
Email subsystem messages
Pager subsystem messages
SMS subsystem messages
Connection results (Client and Server only)
Some non-critical errors
Second field

Watchdog alarm status

Format: “Alarm on: Channel <channel_no>,<channel_no>,<channel_no>, etc.
e.g. “Alarm on: Channel 1,3,4”

Third field | Connections
Client

Shows the status of the connection to the server

Format: “Connected to <server_IP_address>:<port_no>
e.g. “Connected to 127.0.0.1:6001”
Server

Shows the number of clients currently connected to the server

e.g. “3 clients connected”
Fourth field | Connection icons
Client | Connected to Server
Not connected to Server
Server | Server not running and no clients connected
Server running but no clients connected
Server running and at least one client connected

Note: Fields 3 and 4 are not used in the standalone application and they are used differently in the Client and Server applications.

In the LogPage/Interceptor Server application, right-clicking on the third or fourth field will invoke a popup menu with the names of clients logged into the server.

Clicking on any of the names will bring a dialog with basic information about the selected client.

Showing/hiding Status Bar

You can select to show or hide the main status bar. Use one of the following toggle commands:

Select ‘View|Status Bar’ – if shown, a check mark appears on the menu

Shortcut: Shift+Ctrl+S
Hot Keys: Alt+V,S

If the main status bar is displayed, the above commands will hide it and vice versa.

Full Message View

The full message view is a control at the bottom of the application that displays the full text of any selected message.

Showing/hiding Full Message View

You can select to show or hide the full message view. Use one of the following toggle commands:

Select ‘View|Show Full Message’ – if shown, a check mark appears on the menu

Shortcut: Shift+Ctrl+M
Hot Keys: Alt+V,M

If the full message view is displayed, the above commands will hide it and vice versa.

To change font and colour settings of the full message view, see Set System - Message Display.

Help Hints

When you position your mouse over any of the toolbar buttons, a tool tip with the button name and its keyboard shortcut appears.
When you position your mouse over any of the toolbar buttons, main menu or popup menu item, description of its functionality appears in the first panel of the main status bar.

Showing/hiding Help Hints

To show help hints, select ‘Help|Hints On’.
Hot Keys: Alt+H,N

To hide tool tips, select ‘Help|Hints Off’.
Hot Keys: Alt+H,O

A check mark appears next to the currently selected option.

Note: Turning the help hints on/off does not affect displaying of the description of the commands in the main status bar. This functionality cannot be turned off.

Changing Window State

You can toggle between normal screen and full screen.

Full Screen

Select ‘View|Full Screen’

Shortcut: Ctrl+PageUp
Hot Keys: Alt+V,F

You can also use standard Windows ‘Maximize’ command.

All above commands are available only when the program runs in a normal screen mode.

Normal Screen

Select ‘View|Normal Screen’
Shortcut: Ctrl+PageDown
Hot Keys: Alt+V,N

You can also use standard Windows ‘Restore’ command.

All above commands are available only when the program runs in a full screen mode.


Msg Grid

Message Grid

Displaying/Hiding Columns

Right-click on any of the message grid column headings to bring up a popup menu that shows the names of all columns created for that grid and in the same order as they are displayed in the grid. All visible columns have a check mark next to they name.

To hide a visible column or to show a hidden column, click on its name on the popup menu.

Resizing Columns

Move the mouse pointer to the grid title bar.

Position the mouse over the edge of the column you wish to resize. The mouse pointer cursor changes into the resizing cursor.

Hold the main mouse button down and resize the column by moving the mouse pointer.

Changing Column Position

Move the mouse pointer to the grid title bar.

Position the mouse over the column you wish to move. Click and hold the main (left) mouse button and drag the column to the new position you wish it to appear.

You can do all above changes while the application continues to receive messages. All changes will be stored and retrieved next time you open LogPage/Interceptor.

The application differentiates between grids displayed in the active and paused mode, so you can have different grid settings for each of them.


Messages

All messages are stored in the database in the form received from the Receiver Hardware. Filtering results and formatting data are not stored with them.
Whenever the application starts it loads and displays stored messages up to the number of displayed messages set by the user ( see Set System - Messages). Displayed messages will be filtered and formatted according to the current filter settings.

Clear Displayed Messages

To delete all displayed messages select ‘Messages|Clear Display’.

Shortcut: Ctrl+F2
Hot Keys: Alt+M,C

This will only remove messages from the display grid, but will not delete messages from the database.

Delete All Messages Permanently

To delete all messages from the database permanently select ‘Messages|Delete All Messages’

Shortcut: Shift+Ctrl+Del
Hot Keys: Alt+M,A

You will get a warning that all messages will be deleted permanently from the system and option to cancel the operation.

Delete Old Messages Permanently

To delete old messages from the database permanently select ‘Messages|Delete Old Messages’. The system will delete messages according to the current settings on Set System - Messages.

Shortcut: Ctrl+Del
Hot Keys: Alt+M,O

You will get a warning that messages older than your set interval will be deleted permanently from the system and option to cancel the operation.

Refresh Display

This command will reload and redisplay stored messages from the database up to the number of displayed messages set by the user (see Set System - Messages). Displayed messages will be filtered and formatted according to the current filter settings.

Select ‘Messages|Refresh Display’

Shortcut: Ctrl+F3
Hot Keys: Alt+M,R

Copy Selected Message

To copy the whole content of the selected message to the system clipboard select ‘Messages|Copy Selected Message’.

Shortcut: Shift+Ctrl+C
Hot Keys: Alt+M,S

The content of the message can be pasted from the clipboard to any text editing program.

Moving Through Displayed Messages

To move to the next message, select ‘Messages|Next Row’,

or click on the “Next Row” toolbar button

Shortcut: Down Arrow
Hot Keys: Alt+M,N

To move to the previous message, select ‘Messages|Previous Row’,

or click on the “Previous Row” toolbar button

Shortcut: Up Arrow
Hot Keys: Alt+M,P

To move to the first message, select ‘Messages|First Row’,

or click on the “First Row” toolbar button

Shortcut: Home
Hot Keys: Alt+M,F

To move to the last message, select ‘Messages|Last Row’,

or click on the “Last Row” toolbar button

Shortcut: End
Hot Keys: Alt+M,L

All above commands are available only on the static grid if the logging of messages is paused or stopped. If the logging is active those commands are disabled.


Channels

Running Channels

All commands here are toggle commands. If the channel’s feature is on, then its respective menu item has a check mark next to it. In that case using any of the commands will turn it off, and the other way around.

Turning Channel On/Off

Channel button when the channel is ON

Channel button when the channel is OFF

Interceptor

Select ‘Channels|Channel<1,2,3,4>|On’ (the number is a channel number)

Click on the “Channel <1,2,3,4>” button (the number is a channel number)

Shortcuts: Ctrl+1,2,3,4 (the number is a channel number)
Hot Keys: Alt+C,1(2,3,4),O

LogPage

Select ‘Channel|On’.

Click on the “Channel 1” button

Shortcuts: Ctrl+1
Hot Keys: Alt+C,O

Turning Filters On/Off

If you do not turn any of the filters on, the channel will not use them to filter messages.

Interceptor

LogPage
Capcode Filter
Channels|Channel<1,2,3,4>|Capcode Filter On | Channel|Capcode Filter On
Hot Keys: Alt+C,1(2,3,4),C | Hot Keys: Alt+C,C
Text Filter
Channels|Channel<1,2,3,4>|Text Filter On | Channel|Text Filter On
Hot Keys: Alt+C,1(2,3,4),T | Hot Keys: Alt+C,T
Combo Filter
Channels|Channel<1,2,3,4>|Combo Filter On | Channel|Combo Filter On
Alt+C,1(2,3,4),F | Hot Keys: Alt+C,F
Show Filtered Only
Channels|Channel<1,2,3,4>| Show Filtered Only | Channel|Show Filtered Only
Hot Keys: Alt+C,1(2,3,4),W | Hot Keys: Alt+C,W

If you do turn 'Show Filtered Only' on, only filtered messages for that channel will be displayed.

Turning Alarm On/Off

Interceptor

LogPage
Channels|Channel<1,2,3,4>|Alarm On | Channel|Alarm On
Hot Keys: Alt+C,1(2,3,4),A | Hot Keys: Alt+C,A


Running LogPage/Interceptor

Run

To start logging page messages from the Receiver Hardware, use one of the following commands:

Select ‘Run|Run’

Click on the “Run” toolbar button

Shortcut Key: F5
Hot Keys: Alt+R,R

In the LogPage/Interceptor Client application the above commands will result in the client attempting to connect to the server. If the connection is successful, the user will be asked to log into the server. After successful authentication the client will immediately start receiving pager messages (through TCP/IP connection) from the server.

Auto Run

To start logging page messages from the Receiver Hardware as soon as the program starts:

Select ‘Run|Auto Run’

Hot Keys: Alt+R,A

If the auto-run feature is on, a check mark will appear next to its menu item.

Note: This feature is not available in the LogPage/Interceptor Client application.

Run Demo

To start logging demo page messages from the file, use one of the following commands:

Select ‘Run|Run Demo’

Shortcut: Ctrl+F5
Hot Keys: Alt+R,D

To setup the way demo messages are created and displayed, see Set Demo

Note: This feature is not available in the LogPage/Interceptor Client application.

Pause

To pause display of the messages, use one of the following commands:

Select ‘Run|Pause’

Click on the “Pause” toolbar button

Shortcut: Ctrl+F6
Hot Keys: Alt+R,P

Note: This command will only pause the display of new messages but it will not stop LogPage/Interceptor logging the messages. When the application returns to the active mode, you will be able to see all messages that have been logged in the meantime.

All above pause commands are toggle commands. Selecting any of them while in the paused mode, returns the application to the active mode.

Stop

To stop logging page messages, use one of the following commands:

Select ‘Run|Stop’

Click on the “Stop” toolbar button

Shortcut: F6
Hot Keys: Alt+R,S

When you stop logging page messages in the LogPage/Interceptor Client application, the connection to the server will be disconnected. Every time you start logging page messages, you will have to reconnect using the authentication process.


Hardware

Hardware Settings

Hardware settings can be changed only when the LogPage/Interceptor application is stopped. When the application is logging messages all below menu items are disabled.

Comm Port

Before you start to log page messages from the Receiver Hardware, you must select a serial port to which your hardware is connected.

Select ‘Hardware|Comm Port|<port_number>’

Hot Keys: Alt+W,C,<port_number>

Only existing serial ports that are registered with the operating system, are displayed on the menu.

(To see the existing ports, press the "Start" button and go to "Settings|Control Panel|System", select the "Hardware" tab and click on the "Device Manager" button. In the displayed list select the "Ports (COM&LPT)" item).

Check the port your hardware is using. Your choice is saved automatically.

Note: This feature is not available in the LogPage/Interceptor Client application.

Baud Rate

Before you start to log page messages from the Receiver Hardware, you must select a baud rate that your hardware is using.

Select ‘Hardware|Baud Rate|<baud_rate>’

Hot Keys: Alt+W,B,<baud_rate>

Only two baud rates are available in the current version:

  • 9,600
  • 57,600

Warning: You cannot set your hardware baud rate from the LogPage/Interceptor application.

To change the hardware baud rade:

  • LogPage - consult "PDTP Help"
  • Interceptor - consult WiPath support

Check the baud rate your hardware is using. Your choice is saved automatically.

Note: This feature is not available in the LogPage/Interceptor Client application.

Upload ROM File (Interceptor Only)

The ROM file is used for upgrading your Interceptor unit firmware.

To upload the ROM file

Select ‘Hardware|Upload ROM File’

Hot Keys: Alt+W,U

Use the "Find" button to select an appropriate file. Only files of the 'rom' type can be selected.

Warning: Use only files recommended by the WiPath support staff.

Press the "Upload" button to start the uploading process.

You will be warned to reset your unit. That means to turn the unit off and on again. You must start uploading before you hear a beep from the Interceptor unit.

When the uploading starts its progress is displayed in the first field of the main status bar.

.

Note: This feature is not available in the LogPage/Interceptor Client application.

Set Channels Hardware (Interceptor Only)

To set hardware frequency and paging protocol for all four channels

Select ‘Hardware|Set Channels Hardware’

Hot Keys: Alt+W,H

The frequency and paging protocol for each channel will be set according to the channel current settings. (see Set Channel - Changing Channel Setups)

Result is displayed in the first field of the main status bar.

Note: This feature is not available in the LogPage/Interceptor Client application.


Export Filters

LogPage/Interceptor has an inbuilt facility that enables users to export their filter settings to other users. The user can set any number of filters and export them to a special type of file named "LogPage Filters File". For information on how to import that file into another LogPage/Interceptor application, see Import Filters.

Select ‘File|Export Filters’.

Shortcut: Ctrl+X
Hot Keys: Alt+F,E

The "Export Filters" dialog shows all the filters that are defined in the application.

To exports the filters, select their name in the "Export Filters" control and click on the "Export" button.

Shortcut: Ctrl+E

In the "Save File" dialog, enter a file name and press the "Save" button.

Note: You can save your filters only in the "LogPage Filters File" type of file. This file has the 'LFLT' extension

To get more information about any of the filters, select a filter and press the "View" button.

Shortcut: Ctrl+V


Import Filters

LogPage/Interceptor has an inbuilt facility that enables users to import filter settings from other users. The user can import any number of filters from a special type of file named "LogPage Filters File". For information on how to export filters into that file, see Export Filters.

Select ‘File|Import Filters’.

Shortcut: Ctrl+I
Hot Keys: Alt+F,I

To open a file that contains exported filter specifications, select the "Find" button.

Shortcut: Ctrl+F

In the "Open File" dialog, select the file name and press the "Open" button.

Note: You can open only the "LogPage Filters File" type of file. This file has the 'LFLT' extension.

The "Import Filters" box will show all the filters that are stored in the selected file.

To add these filters to the application, select desired filters, and press the "Import" button.

Shortcut: Ctrl+I

To get more information about any of the filters stored in the file, select a filter and press the "View" button.

Shortcut: Ctrl+V


Log Viewer

Log Viewer is a tool that is included as a part of the LogPage/Interceptor application and allows the user to see different log files maintained by the program. Currently LogPage/Interceptor maintains two log files: error log (clients only) and alarm log

The Log Viewer does not allow editing of the log files.

The Log Viewer displays its respective file in real time, which means that when the viewer is opened, any new entry in the file will be added to the display of existing entries.

Warning: While LogPage/Interceptor is running, you will not be able to open any of its log files in another editing tool.

In its title the viewer shows:

  • Application name
  • Type of the log file (Alarm Log or Error Log)
  • Path and the name of the currently used file

For example, in the screen shot below, you can see that the name of the application is "LogPage Client", the type of the file displayed is "Error Log" and the path of the file is :"C:\Interceptor4\Logs\IPErrorLog1.txt".

To clear the log display, select the "Clear" button (or the "Clear" menu item on the popup menu).

Shortcut: Ctrl+Del

It will clear the display but will not delete the log file.

To close the viewer, press the "Close" button, or the "Esc" key.

For more available commands right-click on the display and select the appropriate command from the popup menu.

To move to the beginning of the file select "Go To Start" (Ctrl+Home) and to move to the end select "Go To End" (Ctrl+End).

If you want the log display to stay always on the top of all other forms in the program, select "Stay On Top". If this option is selected, the menu item will have a check mark displayed.

To change the background colour of the viewer select "Settings|Colour" (Ctrl+B) and to set the font select "Settings|Font" (Ctrl+F).

You can also select any part of the text and copy it to the clipboard.

All changes to the log viewer settings are stored automatically.

Open Alarm Log Viewer

Alarm Log Viewer displays a file that is used to log watchdog alarm messages, if the user selects this option in the "Alarm Log" dialog.

Select File | Show Alarm Log'

Shortcut: Shift+Ctrl+A
Hot Keys: Alt+F,S

All above commands will open the "Alarm Log Viewer".

Open Error Log Viewer

Error Log Viewer displays a file that logs the client application connection errors. It is available only in the client type of application.

Select File | Show Error Log'

Shortcut: Shift+Ctrl+E
Hot Keys: Alt+F,E

All above commands will open the "Error Log Viewer".

Note: The error log is available only in the client type of the LogPage/Interceptor application.


Set System

Used to set values that are used by the whole application.

Select ‘Settings|Set System’

Shortcut: Ctrl+S
Hot Keys: Alt+S,S

Currently, it has following items:

  • Default Colours
  • Messages
  • Message Display
  • i-Page Server
  • Email
  • Paging
  • Mobile
  • Alarm Log
  • i-Page Log
  • Tcp Server
  • Tcp Client

Save System Settings

Neither of changes you make to any of the pages are saved automatically. Saving changes works separately for each page.

E.g. If you have entered some changes, on the “Messages” page, the “Save” button will become enabled but only when are you on that page. If you move to another page it will resume value for that page. You changes on another page will not be lost, so you can always go back and save or cancel changes.

If you wish to save some changes, go to the respective page and save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning:

  • If you close the dialog box without saving changes on any of the pages, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes on all tabs will be saved.

Cancel Changes

If you do not wish to save your changes to the any of the settings and wish to return to previous settings, you can cancel all the changes for that tab by selecting the “Cancel” button.

The cancel button works the same way as the “Save” button i.e. its functionality is always associated only with the currently opened tab.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.


System Colours

Default Colours

Used to set default background and font colours for each of the three types of filter.

The user is able to set different display colours for every particular filter created (see Set Filter – Filter Colours), however if no customised colours are set then the system will use the default colours for that filter type.

These colours are also used when displaying report results

Click on the “Fill” button for the appropriate filter type and select default background colour for that filter type.

Click on the “Font” button for the appropriate filter type and select default font colour for that filter type.

The new selection will display in the text box above the selection buttons.


Set Messages

Messages

Settings used by LogPage/Interceptor messaging system for manipulation, storage and display of messages.

Display Number

To set the maximum number of messages that will be displayed in the message grid, enter an appropriate value into the “Displayed Msgs No” box. Maximum number is 10,000 and minimum is 10. Only the newest messages will be displayed.

When the program starts it will attempt to load the maximum number of messages from the database into the display. If the database contains more messages, the newest messages (up to the maximum number) will be loaded. If there are less messages in the database, all of them will be loaded.

Message Buffers

Message buffers, are used to prevent the loss of messages due to processing delays or to control memory used by the messaging system.
The application stores all messages received in buffers before processing them.

If you suspect that some messages may be lost due to slow processing, increasing the buffers size may help. On the other hand, if the computer is low on memory, decreasing the buffer size will lower memory consumption.

In reality, it is not very likely that you will ever need to change these values. Most contemporary computers can process messages much faster than they could be delivered by the serial ports and the buffers are just additional security.

Maximum number for both buffers is 10,000 and minimum is 100.

Delete Old Messages

Old messages may be deleted manually or the program can be set to delete them automatically.

The “Last Time Deleted” control shows the last time old messages were deleted.

In the “Delete Interval” control enter the number of days that the program will keep messages in the database. All messages older than that interval will be deleted.

If you select the “Auto Delete” control, every time the program starts it will delete all messages older than the delete interval. If the program runs continuously, every day between midnight and 2:00 AM it will check for old messages and delete them.

If you select the “Manual Delete” control, all messages older than the delete interval will be deleted when the “Delete” button is clicked.


Set Message Display

Message Display

Settings used by the LogPage/Interceptor main display system for displaying full message view on the main form in the active and paused mode.

To set a background colour of the message view, select one of the colours from the "Fill Colour" control.

To set a font colour of the message view, select one of the colours from the "Font Colour" control.

If the message has been processed by a filter, it could have some of the words selected. To set a font colour of the selected words, choose one of the colours in the "Selection Colour" control. If you want selected words to appear bold, make sure that the "Display Bold" control is checked.

To select a font type that will be displayed in the full message view control, select the font name in the “Font Type” control. You can use any font type installed on the machine.

To select the font size, select a value in the “Font Size” control.

All your settings will be immediately displayed in the "Demo" control.

Main Form Title

To modify the main form caption bar, enter a new title in the "Main Form Title" box.

The main form title will display:

<application_name> - <application_mode> - <new_title>

E.g. LogPage - Active Screen - IT Office (for the entry above).


Set i-Page Server

i-Page Server

LogPage/Interceptor uses its own paging server (i-Page Server) to send page and SMS messages required by the program. The software can connect to the local instance of the i-Page server or to any other i-Page server running on any machine accessible through the Internet or your LAN.

Selecting i-Page Server

Before you select a new option for i-Page Server, you must disconnect LogPage/Interceptor from the server it is currently connected to. Otherwise, the "Select i-Page Server" controls on this page will be disabled.

If the server is running the "Stop" button will be enabled. Select the "Stop" button and wait for the message that will tell you that you are not connected to the currently selected server. The "Stop" button will change into the "Start" button .Select the server in the "Select i-Page Server" group of controls.

Save your changes before you attempt to start the server. See Save System Settings

Starting i-Page Server

To start i-Page Server, select the "Start" button and wait for the message that advises that LogPage/Interceptor is connected to your selected server.

Warning: If neither paging nor SMS is enabled, you will get a warning message and LogPage/Interceptor will not connect to the selected i–Page Server.

You can also start the server from the main form by selecting the "Run|Start i-Page Server" item from the main menu (Shortcut: F9). If this menu item is disabled, that means that LogPage/Interceptor is already connected to the server.

If paging and/or SMS functionality is enabled, LogPage/Interceptor will attempt to connect to the server automatically on the application start-up.

Authentication

To connect to the server, you need an account created by your system administrator on i-Page Server.
Enter your account id in the "Account Id" box (not case sensitive) and your password in the "Password" box (case sensitive).

Default:

  • Account Id - LogPage
  • Password - LogPage

Local i-Page Server

To connect to the i-Page server running on your machine, select the "Local" option. If the server is not running, LogPage/Interceptor will start it and attempt connect to it.
If it is running, you will see its icon in the computer system tray (bottom-right corner of the desktop).

To run the server locally, you will need:

  • modem (internal or external)
  • active telephone line
  • GSM Modem
  • internet connection for IP enabled carriers and email
  • connection to a SitePage on-site paging system via a serial port or LAN

You must also have the i-Page Server software installed and running.

The LogPage/Interceptor installation will install and register the i-Page Server for you.

Remote i-Page Server

To connect to an i-Page server running on another machine, select the "Remote" option.

To run the server remotely, you must be able to connect to that machine through your network or the Internet.

You also need to enter the destination machine IP address into the "Server IP Address" control and the i-Page Server port number into the "Server Port" control (default 6022).

Connection Prompt

If you select the "Display Connection Prompt" check box you can watch the progress of the connection process.

To remove the progress display, just click anywhere or press any key.

The whole connection process will also be displayed in the "Connection Status" window and logged in the i-Page Log file.

Send Message Errors

All errors that occur while LogPage/Interceptor is sending page and SMS messages to the server, are logged in the i-Page Log file.

If you want the application to display a warning message on every send error, check the "Show Send Error Warning" check box.
In the "Warning Timeout" control enter the number of seconds the warning message will be displayed. If you enter '0' ("zero") the warning dialog will be displayed until closed by the user.


Set Email

Email

LogPage/Interceptor uses it own email client to send email messages generated by filters, alarms and reports. This page is used to enter settings for the application email client.

To use the email functionality, you must be connected to the Internet.

To enable email functionality for the whole application, tick the “Email Enabled” check box.
If you do not check this box, all email functionality in the program will be disabled.

The options in this dialog depend on your SMTP server settings. You need to contact the server
administrator to obtain these settings.

SMTP Settings

Host

Enter IP address of your SMTP server into the “Host” control. This is the server that your network is using for sending emails.

Port

Enter the port number that your server is using into the “Port” control. Although some servers can handle secure emails through the usual SMTP port 25, most of them will use either port 465 or 587 for that.

Timeout

Enter an interval that the client will wait before it timeouts sending of the email message. The value is expressed in seconds.

Recommended value for email: 0 seconds. In that case LogPage uses a value defined by the TCP/IP stack implemented on the machine.

Retries

If the client does not succeed in sending the message, it can repeat the procedure certain number of times. Enter the number of retries in the “Retries” box. Maximum number is 7 and minimum is 1.

Recommended value for email: 1. Higher values can cause problems with your SMTP server.

Sender Email Address

Enter the sender’s email address into the “Sender Address” control.

This address will be used as a sender’s address in all email messages sent by LogPage.

When you are using a secure connection, most SMTP servers expect an address that they know about, otherwise they usually discard a message as a spam. The safest thing is to enter an email address that is registered on the SMTP server (e.g. your email address). Some servers allow you to add to your profile other emails (e.g. “Recovery email”). You can also use those email addresses here, because the server know about them.

SSL/TLS Setting

Authentication

Select the type of authentication from the "Authentication" control. You can select one of the following options:

None | Select this option when no authentication is required by the SMTP server
Normal Password | Select this option when the SMTP server requires authentication, but authentication data are sent in a plain text.
Encrypted Password | Select this option when the SMTP server requires authentication, but authentication data are sent in a secure manner to the server. The SMTP server must support some of SASL mechanisms for a secure authentication.

Note:

SASL stands for "Simple Authentication and Security Layer". It is a an IETF standard based on RFC 4422. It defines a framework for authentication and data security in Internet protocols.
The framework is implemented through different SASL mechanisms. Each of those mechanisms defines a level of encryption and series of challenges and responses that are exchanged between the SMTP server and a client during the authentication. SASL mechanisms are registered with IANA. In this special version, LogPage implements only a small subset of SASL mechanisms. Version 4 implements much larger number

It is not unusual for secure SMTP servers to use “Normal” password and send it in a plain text.

  • Enter your account user name in the "User Name" control.
  • Enter your account password into the"Password" control.

Connection Security

Select the type of connection security from the "Connection Security" control. You can select one of the following options:

None | The whole communication between the i-Page and SMTP server, including an email message, is carried out in a plain text.
SSL | The whole communication or a part of it (depends on the settings in "Start SSL/TLS") is encrypted according to the SSL (Secure Socket Layer) specifications. LogPage implements versions SSL 2.0 and SSL 3.0, which is defined in ITEF historic document RFC 6101.
TLS | The whole communication or a part of it (depends on the settings in "Start SSL/TLS") is encrypted according to the TLS (Transport Layer Security) specifications. i-Page Server implements versions TLS 1.0, which is defined as ITEF standard RFC 5246.
Auto | The whole communication or a part of it (depends on the settings in "Start SSL/TLS") is encrypted according to the SSL or TLS specifications. i-Page Server negotiates with the SMTP server which cryptographic protocol they are going to use during their communication.

Start SSL/TLS

To set whether the connection will be encrypted immediately or on a client request, select from the "Start SSL/TLS" control one of the following options:

  1. On connection - the connection is encrypted from the start
  2. On request – the connection starts as unencrypted and during the connection LogPage requests from the SMTP server to switch to TLS or SSL

Both of above options can be used and they depend on SMTP server settings. Most likely case is that the server will require the “On Connection” option on its port 465 and “On Request” on its port 587.

Example

Here is a working example on how to relay your email messages through the Google Web based Gmail SMTP server.

To use Gmail SMTP server you need to open a Gmail account. This is just a normal email account, and it is free.

Let us assume that your Gmail email address is : nicole@gmail.com

Enter the following settings on the LogPage “Email” dialog:

Host | smtp.gmail.com
Port | 465
Sender Address | nicole@gmail.com (your account's email address)
Authentication | Encrypted Password
User Name | nicole@gmail.com (your account's full email address)
Password | Your account's password on Gmail
Connection Security | TLS
Start SSL/TLS | On connection

Testing Email Settings

To test your email settings, click on the “Send” button.

Warning: Your email settings must be saved before you test them.

The “Test Email Settings” dialog box will pop up.

Enter the email address of the receiver into the “Send To” control. If you enter an address that is not a properly formatted email address, your message will not be sent and you will get an error message.

You can also test file attachment functionality (used by the reporting tool). You can attach files of any type to your test email.

To do so click on the “Add” button and select a file. If you wish to delete files already attached, select the file name in the “Attach Files” box and click on the “Delete” button.

Press the “Send” button or the Enter key to send the test email.

The system will advise whether the email has been sent successfully. If the system fails to send the message it will display an error message with an indication of the reason for the failure. In such a case you should correct your settings and try again.

Note:

  • You may need to wait several seconds before you get any response message to your test. It partially depends on values that you have set in the “Timeout” and “Tries” controls, but also on other factors that are outside of control of this application.
  • If you receive a success message that does not mean that your email is sent all the way to the receiver’s mail box. It means that your SMTP server has accepted your email message and will try to send it to the designated address.


Set Pager

Pager

LogPage/Interceptor uses its own paging server (i-Page Server) to send page messages required by the program. This page is used to select a carrier that LogPage/Interceptor will use to send page messages to your paging service provider. All carriers available in the "Select Carrier" combo are set in the i–Page Server application by the system administrator.

.

When LogPage/Interceptor starts, it loads all the carriers from their temporary file. After it connects to i-Page Server it replaces the carriers with objects loaded from the server. The application tries to match the carrrier set by the user to one of the carriers found on the server. If it fails it tries to find a carrier of the same type and replaces the user's carrier. If it does not succeed, the application displays a warning to the user.

Set Carrier

To set a carrier for paging messages, select an entry in the "Select Carrier" combo.

Controls on the page display the carrier id, carrier name, carrier type and the address type the selected carrier is using.

All other info about the carrier and its respective device are displayed in the "Carrier Info" window.

When you try to save the selected carrier, the program will check whether the carrier type is compatible with the paging functionality. If not, the program will not save the selected carrier and you will get an appropriate error message.

Enable Paging

To enable paging functionality for the whole application, check the “Paging Enabled” box.
If you do not check this box, all paging functionality in the program will be disabled.

Warning: If neither paging nor SMS is enabled, you will not be able to start “i-Page Server”.

Testing Carrier

To test your paging carrier, click on the “Send” button.

Warning: Your carrier must be saved before you test it.

In the dialog box that appears, enter a valid pager number into the “Enter a pager id” control. The program will remember that number for the next test.

Press the “OK” button or the Enter key to send the test page.

You will always get a message about the success or otherwise of your test from the system. If it is an error message, it will give you details about the error that occurred. For some errors you may need to conntact your i-Page Server administrator.

Note:

  • You may need to wait several seconds before you get any response message to your test. It depends on factors that are outside of control of this application.
  • If you receive a success message it means that the i-Page Server managed to send your page message to the selected carrier without any error and the carrier will try to send it to the designated pager. Whether the message will reach the designated pager, depends on many factors outside control of this application (among others, whether the pager number is still valid).
  • If LogPage/Interceptor does not receive any response from the server in a certain time interval (default 70 seconds), it will assume an error and display an appropriate message to the user.


Set SMS

Mobile

LogPage/Interceptor uses its own server (i-Page Server) to send text messages to a mobile phone. This page is used to select a carrier that LogPage/Interceptor will use to send SMS messages to your SMS service provider. All carriers available in the "Select Carrier" combo are set in the i–Page Server application by the system administrator.

.

When LogPage/Interceptor starts, it loads all the carriers from their temporary file. After it connects to i-Page Server it replaces the carriers with objects loaded from the server. The application tries to match the carrrier set by the user to one of the carriers found on the server. If it fails it tries to find a carrier of the same type and replaces the user's carrier. If it does not succeed, the application displays a warning to the user.

Set Carrier

To set a carrier for SMS messages, select an entry in the "Select Carrier" combo.

Controls on the page display the carrier id, carrier name, carrier type and the address type the selected carrier is using.

All other info about the carrier and its respective device are displayed in the "Carrier Info" window.

When you try to save the selected carrier, the program will check whether the carrier type is compatible with the SMS functionality. If not, the program will not save the selected carrier and you will get an appropriate error message.

Enable SMS

To enable SMS functionality for the whole application, check the “SMS Enabled” box.
If you do not check this box, all SMS functionality in the program will be disabled.

Warning: If neither paging nor SMS is enabled, you will not be able to start “i-Page Server”.

Testing SMS Settings

To test your SMS settings and send a text message to a mobile phone, click on the “Send” button.

Warning: Your carrier must be saved before you test it.

In the dialog box that appears, enter a valid mobile phone number into the “Enter a mobile phone number” control. The program will remember that number for the next test.

Press the “OK” button or the Enter key to send the test message.

You will always get a message about the success or otherwise of your test from the system. If it is an error message, it will give you details about the error that occurred. In this case correct your settings and try again.

Note:

  • You may need to wait several seconds before you get any response message to your test. It depends on factors that are outside of control of this application.
  • If you receive a success message it means that the i-Page Server managed to send your SMS message to the selected carrier without any error and the carrier will try to send it to the designated mobile phone. Whether the message will reach the designated mobile, depends on many factors outside control of this application (among others, whether the mobile number is still valid).
  • If LogPage/Interceptor does not receive any response from the server in a certain time interval (default 70 seconds), it will assume an error and display an appropriate message to the user.


Alarm Log

LogPage/Interceptor will log all watchdog alarm messages to the alarm log file.

Alarm Log Settings

To enable the logging of alarm messages check the "Enable Alarm Log" check box.

To set a number of messages that will be logged in one file enter a value into the “Items per File” control.

To set a number of files that the application will create before starting to overwrite the first one, enter a value into the “No of Files” control.

The user can also set the format of the message that will be logged to the file. see “Set Alert Message”
The system will insert a log message number and a date in front of the user's custom message format.

Final log item format:

Alarm No: <log_item_number>
<date_time>
<user_custom_message>

To test your message format select the "Show" button on the right-hand side.

Log Display Settings

LogPage/Interceptor includes a log viewer - tool that allows the user to see all the entries in the log file in real time.

To set the a background colour of the viewer, select the "Colour" button (shortcut Ctrl+C).

To set a font of the viewer select the "Font" button (shortcut Ctrl+F).


i-Page Log

LogPage/Interceptor logs all events created during its communication with i-Page Server.

Log data are stored in the "<LogPage_Folder>\Logs" folder (e.g. "C:\Program Files\LogPage\Logs") and it is named "IPageLog<log_number>.txt" (e.g. "IPageLog1.txt").

You can open that file with any text editing tool (e.g. Notepad) or you can use the log viewer tool that comes with i–Page (see See Log).

Log File

The log file stores all data in the following format:

  • Log Item: <item_no> (<date> <time>)
  • <action_performed>
  • Description: <action_description_and_result>
  • Debug Info: <aditional_info>

For example:

Log Item: 63 (19/07/2010 09:50:08)
Login Accepted
Description: Account "nicole" successfully logged on i-Page Server
Debug Info: " LOGIN02 nicole0A3A02C700000F2B400007DA71309320276BC1E000000,:" 02 "Account "nicole" successfully logged on i-Page Server"

Log Settings

To set the number of distinctive entries that will be stored in one log file, enter a value in the "Items per File" control.
When the number of items_per_file is reached, LogPage/Interceptor will switch to a new log file.

To set number of separate files that LogPage/Interceptor will maintain, enter a value in the "No of Files" control.
When the number_of_files is reached, LogPage/Interceptor will start overwriting the first file.

The control "Current Log File" displays the name and the path of the log file that LogPage/Interceptor is currently using. This control is read-only.

Log Display Settings

LogPage/Interceptort includes a log viewer - tool that allows the user to see all the entries in the log file in real time.

If you want to see more information about client/server communication that is logged in that file, check the "Display Debug Info" box.

Note: If the client/server communication works without problems, it is better to uncheck this control, because debug data make log harder to follow and may be confusing for an every day user.

If you want the log display to always stay on top of all the other forms in the program, select "Stay On Top".

To set the the background colour of the viewer, select the "Colour" button.

Shortcut: Ctrl+C

To set a font for the viewer, select the "Font" button.

Shortcut: Ctrl+F

All changes to the font and colour will be displayed in the text box above the buttons.

Test

To test current log display settings select the "Show" button.

Shortcut: F5

The application will open the system log with its current settings.


Set Server

TCP Server

This page is available only in LogPage/Interceptor Server application.

Host

“Host” is a read-only control. It shows current IP address of the server or its name. It can be used as a quick reference when setting a client. If you enter this value into the same control in the LogPage/Interceptor Client application, you will be able to connect to this server.

Port

Enter a TCP port number into the “Port” control. This is the TCP port that LogPage/Interceptor Server uses to connect to the client.

Port numbers can range from 0 to 65,535. Be aware that ports in range from 0 to 1,023 are reserved ports and if you use them be sure that they are not conflicting with another application that runs on the same machine as LogPage/Interceptor Server.

You may also need to change settings of the firewall that runs on the server machine.
Before selecting a server port we recommend you consult your network administrator.

Client Buffer Size

LogPage/Interceptor Server has additional memory buffers to store messages intended for the client, while waiting on TCP connection to come through. Client buffers are used to prevent the loss of messages due to lower speed or congestion of the network or to control memory used by the messaging system.

If you suspect that some messages may be lost due to slow network traffic, increasing the buffers size may help. On the other hand, if the computer is low on memory, decreasing the buffer size will lower memory consumption.

Maximum number for the client buffer is 10,000 and minimum is 100.

Keep Alive Timeout

Enter a value in seconds into the “Keep Alive Timeout” control.

Due to the nature of TCP/IP connection, LogPage/Interceptor Server is not able to tell if one of its clients has lost its connection until it tries to send a message to it. If there are not many messages on the client’s channel it may take some time for the server to discover that. The result could be lot of dead connections maintained by the server.

To prevent this occurring the server uses a ‘Keep alive’ function. This means that the server sends a short message every ‘Keep Alive Timeout’ interval to all of its clients. If a connection is broken, the server will assume that the client has disconnected and stop logging messages into that client buffer, remove all messages from the buffer and clear the buffer.

The server will not log the client out of the system. That will allow the client to reconnect without passing through the authentication procedure.
This method is also used by the client to assess its connection to the server and make a decision on starting the reconnection procedure.
(see Reconnect Timeout)


Set Client

TCP Client

This page is available only in LogPage/Interceptor Client application.

Host

Enter the IP address of the computer that LogPage/Interceptor Server is running on into the “Host” control. The best thing is to enter the same value that is shown in the same control on the server.

Port

Enter the server port number into the “Port” control. This value must be the same as the value that is already entered in the same control on the server.

Reconnect Timeout

Enter a value in seconds into the “Reconnect Timeout” control.

As soon as the client connects to the LogPage/Interceptor Server it starts the timer that runs for the “Reconnect Timeout” number of seconds. If during that period the client does not receive any message from the server, it assumes that the connection is broken and starts the reconnect procedure. Any message from the server resets the timer.

In periods when there are not many paging messages, the client uses the ‘keep alive’ message from the server to put off the reconnect procedure. For that reason it is important that the “Keep Alive Timeout” interval has always a smaller value than the “Reconnect Timeout” value. How big the difference between those two values should be, depends on the speed and state of the network.

Warning: Keep in mind that the reconnect procedure is not simple and uses a lot of computer resources and memory. Additionally creating another connection to the server from the same client may have unpredictable consequences.

Connection Error Log

To help the user to troubleshoot connection problems, LogPage/Interceptor Client application maintains a connection error log file.
In the “Connection Error Log” group of controls you can set a number of items that will be stored in one file by entering its value into the “Items per File” control. You can also set a number of files that the application will create before starting to overwrite the first one, by entering respective value into the “No of Files” control.


Set User

Set User Accounts

User Accounts can be created and edited only by the system administrator and users that have “Edit Users” rights assigned by the administrator.
Other users have some limited rights to edit their own account. See Set Personal Account

Select ‘Settings|Set User’

Shortcut: Ctrl+U
Hot Keys: Alt+S,U

New User

Click on the “New” button on the ‘Edit User’ dialog box.

Shortcut: Ctrl+N

Enter a user’s account name in the “User Name” control.
The user will use that name as a ‘user name’ to log into LogPage/Interceptor. The system will also create a first-time-login password identical to the user name.

Warning: User name cannot be changed after you save the user.

Edit User

Enter a properly formatted email address into the “Email” control (optional).

Enter a pager number into the “Pager No” control.

Set user’s permissions in the “Permissions” control, by checking a check box next to the permission you wish to assign to the user.

Note: If the selected user is “Admin” the “Permissions” control is disabled, because the admin account has all permissions assigned to it and it cannot be changed.

Change User's Password

To change the user’s password, click on the “Set Password” button.

Shortcut: Ctrl+P

Enter a new password into the “New Password” control.

Enter the new password again into the “Confirm New Password” control.

Click the “OK” button or press the Enter key.

Save User

Changes made to the user settings are not saved automatically. If you have changed any settings, the “Save” button will become enabled. If you wish them to take effect in the program, you must save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning:

  • If you select another user without saving changes, your modifications will be lost.
  • If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Delete User

To delete selected user, select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the user will be deleted permanently and the option to delete it or not. If you choose to delete it anyway, the user will be deleted permanently.

Note:

  • It is not possible to delete “Admin” account.
  • It is not possible to delete the user that is currently logged in. This means you cannot delete yourself.

Cancel Changes

If you are not satisfied with changes to the user and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Permissions

The user does not have automatic access to all LogPage functionalities. The administrator can select which feature is available to which account. To do that, she must set a permission for every functionality that is exposed by LogPage. This is done by checking a check box for an appropriate permission.

Permission | Explanation
Setup System | The account is allowed to change system settings
Edit Users | The account is allowed to create, edit and delete other accounts
Edit Channels | The account is allowed to create, set and delete a channel – Interceptor only
Edit Filters | The account is allowed to create, edit and delete message filters
Delete Messages | The account is allowed to delete all or selected old messages
Hardware Setup | The account is allowed to set the channel protocol and frequency - Interceptor only
Create Reports | The account is allowed to create, edit, delete and run reports
Set Grid | The account is allowed to change settings to the main display grid
Set Demo | The account is allowed to change settings for demo messages
Run Demo | The account is allowed to run LogPage in its demo mode
Export Filters | The account is allowed to export filters into a special filters file
Import Filters | The account is allowed to import filters from a special filters file

This functionality is not available in the LogPage/Interceptor Client application. If you wish to set users’ accounts that will be used by the client, you have to do it in the LogPage/Interceptor Server application.


Personal Settings

Changing Personal Account

Every user can change some of their account settings.
To change your own account settings, select ‘File|Set Your Account’.

Shortcut: Ctrl+A
Hot Keys: Alt+F,A

In the current version you are only allowed to change your email address and pager number.

You have to save your changes. See “Save User”.

Note: This feature is not available in the LogPage/Interceptor Client application.

Changing Personal Password

Select ‘File|Change Password’.

Shortcut: Ctrl+P
Hot Keys: Alt+F,P.

Enter your old password into the “Old Password” control.

Enter a new password into the “New Password” control.

Enter the new password again into the “Confirm New Password” control.

Click the “Save” button or press the "Enter" key.

If the change to the password was successful, you will get the message from the system. Otherwise, you will get an error message that explains in detail what went wrong.

Note: This feature is also available in the LogPage/Interceptor Client application, but you might wait for several seconds to receive either a success or error message from the server.


Set Filter

LogPage/Interceptor has an extensive inbuilt filtering capability. Every message can be filtered against range of criteria and a large number of filters can be setup.

Select ‘Settings|Set Filter’ or click on the “Set Filter” toolbar button

Shortcut: Ctrl+F
Hot Keys: Alt+S,F

Edit Filter Dialog Layout

The “Edit Filter” dialog consists of three panels. The left panel is a tree-like list of all filter settings available. The middle panel shows values for the selected setting. The right panel contains editing command buttons.

Selected Node (left panel)

Feature (middle panel)
Filters | Displays all existing filters and some of their setting values in the grid
Selected Filter | Criteria for the selected filter
Colours | Background and font colours for the selected filter
Sound | Alert sound for the selected filter
Paging | Paging messages settings for the selected filter
Email | Email messages settings for the selected filter
Mobile | SMS message settings for the selected filter
Traffic Monitor | Settings for monitoring selected filter occurrences
Edit Message | Tools for modifying message content for the selected filter
Popup Alert | Popup alert form settings for the selected filter
Channels | Channels that the selected filter is valid for
Filter Summary | Displays summary of the selected filter settings
Set Grid | Customizing grid that displays all existing filters

Add New Filter

Click on the “New” button in the ‘Edit Filter’ dialog box.

Shortcut: Ctrl+N

The “Selected Filter” node becomes selected and the middle panel shows criteria for the new filter.

Enter a filter name in the “Filter Name” box.

Select a filter type in the “Filter Type” control.

Add New Filter From Message

Right-click on the message row on the main form and from the popup menu select the "New Capcode Filter" option.

Shortcut: Shift+Ctrl+F

The system will create a new capcode filter and copy the selected message capcode into the filtering criteria.

Edit Filter

Selecting Filter for Editing

Click on the “Filters” node in the left panel to get the grid with all existing filters displayed.

Select the filter you wish to edit in the grid.

Selected Filter

Select the “Selected Filter” node to get the panel with filtering criteria settings.

To change the filter name, enter a new name into the “Filter Name” control.

Note: You can assign the same name to different filters.

To change the filter type, select a type in the "Filter Type" control.

Warning: If you change the filter type for the existing filter, you will loose all its previous values on the "Selected Filter" page.

To enable the filter check the “Enabled” check box. If this control is not checked, the program will disregard the filter when filtering messages but the filter will still exist.

Depending on the filtering type selected, you will get different type of filtering controls.

  • Capcode Filter Type
  • Text Filter Type
  • Both

Filter Colours

Every filter can be assigned a different background and font colour.

Select the “Colours” node to get the panel with the selected filter colour settings.

Click on the “Fill” button and select a background colour for that filter.

Click on the “Font” button and select a font colour for that filter.

You can see how these colours match in the text box above the buttons.

Sound Alert

When the program finds a message that matches filtering criteria, it can sound an alert to warn the user. Every filter can be assigned its own sound alert.

Select the “Sound” node to get the panel with the selected filter sound settings.

To set a sound alert for the filter, enter a path to a desired “Wave” file into the “Sound Alert File” control or press the “Find” button to use a usual Windows file search facility.

After you select a file the application will check its format. If the file format is incompatible, you will get an error message and the program will not allow you to use that file.

When the file is assigned to the filter, the length of the sound it contains will be displayed in the “Sound File Length” control. It is not a very good idea to use lengthy sounds for the filter alerts. You can also play the file by clicking the “Play” button.

To enable the sound alert when the message matches the filtering criteria, you must enable the “Sound Enabled” control.

Send Pager Message

When a message matches the filtering criteria (filter hit) a message can be sent to designated pager numbers. The message can be also sent when the filter hit occurs a certain number of times in a certain time interval (traffic monitor hit).

Select the “Paging” node to bring up the paging settings for the selected filter.

Note: When you select the “Paging” node, all editing controls in the right hand panel (buttons “New”, “Cancel”, “Delete”) refer to the paging functionality not to the selected filter.

Click on the “New” button to add a pager number to the list.

To delete the number from the list, select it and click the “Delete” button.

The messages to be sent to each pager can be individually tailored for each Pager ID.

To create or edit the page message for the respective pager number select the pager number in the “Pager ID” box.

To send the message to that pager ID on every filter hit, check the "Filter Hit" box.

To send the message to that pager number on a traffic monitor hit, check the "Traffic Monitor Hit" box.

Note: If the "Traffic Monitor Hit" box is checked, you must also enable the filter traffic monitor and enable paging on the
"Traffic Monitor" page to send Traffic Monitor messages.

Edit the message to be send in "Message Format". see “Set Alert Message”

To test the formatting result, select the “Show” button.

For a complete test (sending formatted message with test data to the selected pager ID), select the “Send” button.

Note: Before you attempt to send the test page, be sure that the paging functionality is set and enabled for the whole application. see Set System - Paging

To enable paging for the selected filter check the “Paging Enabled” box.

All pager numbers are checked to ensure they are valid pager numbers.

LogPage/Interceptor does not impose any limits on the number of pagers assigned to the filter.

Send Email Message

When the program finds a message that matches the filtering criteria (filter hit), it can send an email message to the designated email addresses. The message can be also sent when the filter hit occurs a certain number of times in a certain time interval (traffic monitor hit).

Select the “Email” node to bring up the email settings for the selected filter.

Note: When you select the “Email” node, all editing controls in the right hand panel (buttons “New”, “Cancel”, “Delete”) refer to the email functionality not to the selected filter.

Click on the “New” button to add an email address to the list.

To delete the email address from the list, select it and click the “Delete” button.

Enter an email subject into the “Email Subject” box.

The body of the email message may be set individually for each email address. To create or edit an email message for the respective email address, select the address in the “Email Address” box.

To send the message to that email address on every filter hit, check the "Filter Hit" box.

To send the message to that email address on the traffic monitor hit, check the "Traffic Monitor Hit" box.

Note: As well as selecting the "Traffic Monitor Hit" control, you must also enable the filter traffic monitor and enable email in the
"Traffic Monitor" page.

Edit message as described in “Set Alert Message”

To test formatting result, select the “Show” button.

For a complete test (sending formatted message with test data to the selected email number), select the “Send” button.

Warning: Before you attempt to send the test email, be sure that the email functionality is set and enabled for the whole application. see Set System - Email

To enable email for the selected filter check the “Email Enabled” box.

All email addresses are checked to ensure they are properly formatted email addresses.

LogPage/Interceptor does not impose any limits on the number of email address assigned to the filter. You should be aware that sending to many email messages at once may be a burden on your SMTP server and it may not be able to process them. If you are not sure about this discuss with your network administrator.

Send SMS Message

When a message matches the filtering criteria (filter hit), an SMS message may be sent to designated mobile phone numbers. The message can be also sent when the filter hit occurs a certain number of times in a certain time interval (traffic monitor hit).

Select the “Mobile” node to bring up the SMS settings for the selected filter .

Note: When you select the “Mobile” node, all editing controls in the right hand panel (buttons “New”, “Cancel”, “Delete”) refer to the SMS functionality not to the selected filter.

Click on the “New” button to add a mobile phone number to the list.

To delete the number from the list, select it and click the “Delete” button.

To create or edit an SMS text message for the respective mobile phone number, select the number in the “Phone Number” box

To send the message to that mobile number on every filter hit, check the "Filter Hit" box.

To send the message to that mobile number on a traffic monitor hit, check the "Traffic Monitor Hit" box.

Note: As well as selecting the "Traffic Monitor Hit" control, you must also enable the filter traffic monitor and enable SMS on the
"Traffic Monitor" page.

Edit message as described in “Set Alert Message”

To test formatting result, select the “Show” button.

For a complete test (sending formatted text message with test data to the selected mobile phone number), select the “Send” button.

Warning: Before you attempt to send the test SMS message, be sure that the SMS functionality is set and enabled for the whole application. see Set System - Mobile

To enable SMS messaging for the selected filter check the “SMS Enabled” box.

All mobile phone numbers are checked to ensure they are valid phone numbers.

LogPage/Interceptor does not impose any limits on the number of mobile phone numbers assigned to the filter.

Filter Traffic Monitor

The number of times a filter hit occurs in a predefined period may be monitored and alerts may be generated if the number of filter hits meets or exceeds the specified number within the defined time interval.

To set the number of filter hits you are testing for, enter a value into the "No Of Filter Hits" box.

To set the time interval during which this number of hits would generate an alert, enter values into the "Traffic Monitor Interval" boxes.

To enable the filter traffic monitor functionality check the “Enabled” box.

The filter traffic monitor functionality can send an unlimited number of paged, SMS or email messages when the filter hit occurs the indicated number of times within the defined interval. You must enable each of the required alert type that you wish to generate, in the "Enable Filter Traffic Monitor Alerts" group of boxes ( "Paging Enabled", "Sms Enabled" or "Email Enabled"). You must also select the recipients' email addresses, pager or mobile numbers on their respective pages and check the "Traffic Monitor Hit" control for each of those addressees to whom you wish to send the Filter Traffic Monitor alert. see Send Pager Message, Send Email Message and Send SMS Message

The Filter Traffic Monitor functionality can also generate a popup message on screen. To enable this, check the "Popup Enabled" box in the "Enable Filter Traffic Monitor Alerts" group of boxes. You must also check the "Traffic Monitor Hit" box on the filter "Popup Alert" dialog.

To use the same message format in all enabled alerts, check the "Use For All Traffic Monitor Alerts" box. This will override any individually assigned message formats defined in the Paging, Mobile and Email dialogues. If left unchecked the Filter Traffic Monitor alert generated for each applicable user will use the format defined in the individual dialogues.

To define a message format common to all alerts, edit the message as described in “Set Alert Message”

Note: The occurrence test is not designed to be a statistical but an alert tool. That means that it cannot be set to follow filter hits over a long period of time. The maximum number of filter hits that can be set is 1,000 and the maximum time interval is 720 hours (1 month).

Edit Message

The "Edit Message" dialogue enables the user to change internal content of the received page message before resending it using the filter criteria. It is especially convenient tool for manipulating message content when the message has a standardised, predefined content and/or format. The edited message can be then used as a part of the email, page or SMS message or as a part of the popup alert display.

The "Separate Message Into Segments" group of controls can be used to separate (parse) the received message into different segments and then combine those segments into a new message.

To set a message segments delimiter, select a value in the "Separate Message At" group of controls. The most common delimiters are spaces and commas, however other characters may be used by selecting the "Other" option and entering any printable ASCII character in the available edit box. The original message will be separated into different segments whenever the delimiter is encountered in the message.

To create a new message from the segments created, enter each segment number that you wish to include in the new message into the "Use Message Segments" control. The Segments are numbered '1, 2 …'. The separate segment numbers may be separated in the control with any of the following characters:

space | 1 3 7
comma | 1,3,7
colon | 1:3:7
semicolon | 1;3;7
dash | 1-3-7
any combination of above | 1 3,5-7

The segments may be connected in the new message with any ASCII characters or string by entering those characters into the "Join Segments With" control.

For Example:

Original message | This Is A Test Message For You
Separate message at | spaces
Use message parts | 2,1,6,7
Join parts with | ' '
New message | Is This For You

To modify the message by replacing or deleting characters or strings, use the "Modify Message" controls.

Enter the character(s) or string that you wish to replace into the "Replace" box. Enter the replacement character(s) or string into the "Replace with" box.

If you wish to delete character(s) or a string, enter it into the "Replace" box, and leave the "Replace with" box blank.

To ensure the criteria is case sensitive, check the "Case Sensitive" box.

If you wish to delete a specific number of characters from the beginning or the end of the message, use the "Delete Characters" group of controls.

In the "Delete From Message" control select from the options:

First | - to delete characters from the beginning of the message
Last | - to delete characters from the end of the message
First and Last | - to delete characters from the beginning and the end of the message

Enter the number of characters you wish to delete into the "No of Characters" control.

Note: The "Modify message" functions are applied after the "Separate message into Segments" function (if enabled) and the "Delete Characters" function will use the result of the "Separate message into Segments" function (if enabled) and the result of the "Modify message" functions (if enabled.)

To use the edited message as a part of the email, page or SMS message or as a part of the popup display message, select the "Edited Message" option from the "Variable Fields" combo or from the popup menu. See “Set Alert Message”

Popup Alert

When the program finds a message that matches filtering criteria, it can popup a form to alert the user. Each filter can be assigned its own popup alert, with basic information about the message and the filter.

To set a popup alert for the filter, click on the “Popup Alert” node. see Set Popup Alert

Set Channels

Select the “Channels” node to get the panel with the selected filter channel settings.

Select the channels that the filter is enabled for.

Note: In LogPage only the “Channel 1” control is enabled.

Filter Summary

Displays summary of all settings for the selected filter.

Shortcut: Ctrl+I or double-click on the filter in the grid.

Set Grid

To set the grid that displays all existing filters, click on the “Set Grid” node. see Set Grid

For some quick changes to the grid display see:

  1. Displaying/Hiding Columns
  2. Resizing Columns
  3. Changing Column Position

Sorting Grid

Displayed grid data can be sorted on some columns (where it make sense) in ascending or descending order.

To sort a grid column, just click on its title. If the column is sortable, every time you click it will toggle between ascending and descending sorting order.

If you want more control over the sorting order, right click on the column title and select the "Sort Ascending" or the "Sort Descending" item from the popup menu.

If those items are disabled, that means that the selected column is not sortable.

Save Filter

None of the changes made to the filter settings are saved automatically. If you have changed any settings, the “Save” button will become enabled. If you wish them to take effect in the program, you must save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning:

  • If you select another filter without saving changes, your modifications will be lost.
  • If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Delete Filter

To delete selected filter, select the filter from the drop down box and then the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the filter will be deleted permanently and the option to delete it or not. If you choose to delete it anyway, the filter will be deleted permanently.

Cancel Changes

If you do not wish to save your changes to the filter and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.


Set Capcode Filter

Capcode Filter Type

In the “Filter By” control, select between:

  1. Single – Enter a capcode into the “Enter Capcode” control – filtering criteria will be satisfied if a message contains the capcode entered .
  2. Range – Enter the first capcode of the range into the “Capcode From” control and the last capcode of the range into the “Capcode To” control – filtering criteria will be satisfied if a message contains a capcode that that equals or falls between two capcodes..
  3. Greater – Enter a capcode into the “Capcode Greater Than” control – filtering criteria will be satisfied if a message contains a capcode that is greater or equal to the entered capcode
  4. Smaller– Enter a capcode into the “Capcode Smaller Than” control – filtering criteria will be satisfied if a message contains a capcode that is smaller than the entered capcode.

If the paging protocol you are using is "Pocsag" you can also set the Pocsag level criterion. Filtering criteria will be satisfied if the selected capcode criteria is satisfied and the capcode contains any of the Pocsag levels selected.

If you want the program to disregard the Pocsag level just uncheck all the boxes in the "Pocsag Level" group of controls.


Set Text Filter

Text Filter Type

Enter a text string you are searching for in received messages into the “Search For” control. The string can be a single word, a phrase or several unrelated words.

Select a type of search in the “Find” control.

  1. Any Word – filter criteria will be satisfied if any word from the search string is found in a message.
  2. All Words – filter criteria will be satisfied only if all words from the search string are found in a message, but not necessarily in the same order.
  3. Exact Phrase – filter criteria will be satisfied only if all words from the search string are found in a message and in the same order.

If you wish to have the search text to be case sensitive, check the “Case Sensitive” check box.

If you check the “Whole Words Only” check box, then the filter will look only for standalone words from the search phrase

E.g. the word “gun” would not be recognized in the word “gunmen”.

Otherwise, the filter will look for any partial match in any word in a message.


Set Combo Filter

Combo Filter Type

This filter type is a combination of the capcode and the text filter type. It allows the user to set any combination of the capcode and the text search and join them together in three logically different ways.

To set this filter, first set the capcode part in the same way as you would set the capcode filter type and the set the search text part in the same way as the text filter type.

You can then set a relation between each of these filter criteria by selecting a logical connection between them in the “Relation” control.

  1. And – filtering criteria will be satisfied only if both the capcode and the text criteria are satisfied.
  2. Or – filtering criteria will be satisfied if either (or both) the capcode and the text criteria are satisfied.
  3. Either/Not Both – filtering criteria will be satisfied in the case when either (but not both) the capcode and the text criteria are satisfied.


Set Popup Alert

The popup alert is a form that pops up when the program meets some filter criteria or raises an alarm. It contains some basic data about the filter or the alarm that invoked it. The user can choose whether or not to display that form for the filter or the alarm event.

Setup for this form is accessible from the “Edit Filter” or “Edit Alarm” form. It can be set for every filter or alarm separately.

On any of these forms select the “Popup Alert” node.

Note: The "Show On" group of controls ("Filter Hit" and "Traffic Monitor Hit") is displayed only during the filter setup.

Show On Option (Filter Only)

To display the popup alert on every filter hit, select the "Filter Hit" control in the "Show On" group of controls.

To display the popup alert on every traffic monitor hit, select the "Traffic Monitor Hit" control in the "Show On" group of controls.

Popup Form Caption

To set the popup form caption, enter a value into the “Popup Caption” control.

The caption will be displayed in the form:
"<program_name> – <user_caption>"

For example, if the user enters “Test Filter” into the “Popup Caption” control, form caption will be:
"LogPage – Test Filter".

Popup Dimensions

A width and a height of the popup form can be set by entering values into the “Popup Width” and “Popup Height” respectively. These values are expressed in pixels.

An easy way to set dimensions is through the test form. see Testing

Popup Colour

Every popup form can be assigned different background colour.

Click on the “Colour” button and select a background colour for that popup.

Shortcut: Ctrl+C
Hot Keys: Alt+C

The new selection will display in the text box above the button.

Popup Font

Click on the “Font” button.

Shortcut: Ctrl+F
Hot Keys: Alt+F

In the Font Dialog you can select a font type from the “Font ” control. You can use any font that is installed on the machine.

You can also select a font size (from the "Size" control) and a font colour (from the "Color" control) and any font style (bold, italic, strikeout, underline).

All changes to the font will display in the text box above the button.

Flashing

To make the popup form to flash (blinking caption), check the “Flash” control.

You can also set a flashing interval by entering a value into the “Flash Interval” control. Values are expressed in milliseconds.

Note: 1000 ms = 1 sec

If you do not know the value to enter, try different values and playing with the test form. see Testing

Timeout

To set how long the popup form will be displayed, enter appropriate value into the “Popup Timeout” control. This value is expressed in seconds and defines the number of seconds the pop up will be displayed.

If you enter ‘zero’ for the value, the popup form will stay on the screen until closed by the user.

Message

You can create the whole text the popup alert form will display and format it any way you like. see Set Alert Message

Testing

To test your settings, click on the “Test” button. You will see an example of the popup form with your current settings.

You do not need to save settings to test them.

You can also use this test form to setup width and height easily. Just resize the form with your mouse pointer, and when you close it the “Popup Width” and “Popup Height” controls will assume the width and the height of the test form.

Save Popup

Changes you make to the popup settings are not saved automatically. If you have made some changes, the “Save” button will become enabled. If you wish them to take effect in the program, you must save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning:

If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Cancel Changes

If you are not satisfied with changes to the popup form and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Enable Popup Alert

For popup alert to appear, you must enable it by checking the “Popup Enabled” control.


Set Grid

LogPage/Interceptor displays two types of grids:

  1. Main grids – displayed in the main application window (Active and Paused grid)
  2. Auxiliary grids – used inside different setting dialogs (Filter, Report and Alarm grid)

Both of these types can be set in the same way. The only difference is in the way you run their settings dialog.

To run grid settings dialog for the Main grids

Select ‘Settings|Set Grid’

Shortcut: Ctrl+G
Hot Keys: Alt+S,G

Or right-click on the grid title and from the popup menu select ‘Set Grid’

In the “Select Grid” control select the grid that you wish to edit.

There are two grids to choose from:

  • Active grid – settings applied when you start or stop logging of messages.
  • Paused grid – settings applied when you pause logging of messages.

To run the grid settings dialog for the Auxiliary grids see Set Filter Grid, Set Report Grid, Set Report Window and Set Alarm Grid.

New Field (Column)

The number of fields that you can create in LogPage/Interceptor is limited by the number of distinct information that is available from the logged message. The application will warn you if you set two columns to show the same type of data.
All of the types of data that can be displayed for each message are listed in the “Displays Value for” combo box.

To create a new field, press the “New” button.

Shortcut: Ctrl+N

By default the application will create a field with the next available type of data and suggest an appropriate name for the field.

In the popup dialog enter a name for the new field and click “OK”.

The name may be up to 30 characters long and it may consist of one or more words. It can contain any printable character. If the name is longer than 30 characters, it will be truncated.
This name will be displayed as a column title on the grid title bar

Edit Field

In the “Fields” control select the field you wish to edit.

Changing field position

The “Fields” control shows fields on the same position as in the grid title. Click on the “Up” or “Down” button to move the field up or down until you are satisfied with its position. See Grid Display/Changing Column Position

These changes are saved automatically. If you have the respective grid opened, you will see the changes immediately.

Changing field title

Click on the “Change Title” button. In the popup dialog enter a new name for the selected field and click “OK”. (for naming see New Field)

Those changes are saved automatically. If you have the respective grid opened, you will see the changes immediately.

Showing/Hiding Fields

Check or uncheck the “Field Visible” check box. Its respective icon in the “Fields” control will change accordingly. See Grid Display/Displaying/Hiding Columns

This change is not saved automatically.

Changing Field Width

Enter desired field width into the “Field Width” control. The field width is expresses in pixels. If you do not feel comfortable working with pixels, see Grid Display/Resizing Columns.

This change is not saved automatically.

Changing Display Data Type

Each field displays data obtained for each message received. You can change which data each field displays by selecting from the “Displays Value for” combo box.

If you try to set two fields to display the same data, you will get a warning message.

This change is not saved automatically.

Save Field

If you have entered some changes into the field that are not saved automatically, the “Save” button will become enabled.

To save changes to the field, press the “Save” button or the "Enter" key.

Shortcuts: Ctrl+S or Enter

Warning:

  • If you select another field, without saving changes to the previously selected field, the modifications to that field will be lost.
  • If you select another grid without saving changes, you will get a warning and another opportunity to save your changes.
  • If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Delete Field

In the “Fields” control, select the field you wish to delete.

Select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the field will be deleted permanently and the option to delete it or not. If you choose to delete it anyway, the field will be deleted permanently and removed from the grid, with all its data, instantly.

Note: Deleting a field from the display does not affect logging messages permanently into the database.

Warning: Deleting is not the same as hiding a field.

Grid Display

Grid Default Colour

Grid default colour will be used as a background colour for messages that are not filtered (on the Main grids) or if the user selects the “Use Grid Colours Only” control.

Click on the “Colour” button and select default background colour for that grid.

Shortcut: Ctrl+C
Hot Keys: Alt+C

The new selection will display in the text box above the button.

Use Grid Colours Only

If this control is checked, the grid display engine will ignore all other colour settings (filter colours, report colours, etc.) for that grid and use only grid default background and font colours.

Word Wrap

If this control is checked, the grid display engine will force all text to fit within the defined margins of the grid cell. If the length of the text is greater then the width of the cell, the text will be split and placed into the next line and the height of the cell (and the whole grid row) will be increased accordingly. This process will continue until the whole text is displayed within the grid cell. No word will ever be split between two lines. Word wrap will also occur after the user changes the margins of the grid manually.

Word wrap feature does not change content of the original text displayed in the cell.

Grid Font

Click on the “Font” button.

Shortcut: Ctrl+F
Hot Keys: Alt+F

In the Font Dialog you can select a font type from the “Font ” control. You can use any font that is installed on the machine.

You can also select a font size (from the "Size" control) and a font colour (from the "Color" control).

A font style (bold, italic, strikeout, underline) is not supported by the grid display engine and it will not change the grid display.

All changes to the font will display in the text box above the button.

Vertical Margins

The "Vertical Margins" control allows the user to set margins between the text in the grid and the grid cell top and bottom edges. This feature works only when the "Word Wrap" feature is turned off. The value is expressed in pixels and default value is 4.

Save Grid Display

To save grid display changes, press the “Save” button or Enter key.

Shortcuts: Ctrl+S or Enter

Cancel Changes

If you are not satisfied with changes to the field and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.


Set Channel

Select ‘Settings|Set Channel’or click on the “Set Channel” toolbar button

Shortcut: Ctrl+C
Hot Keys: Alt+S,C

Interceptor

LogPage and Interceptor Client

Edit Channel

In the “Channel No” control select a channel that you wish to edit (Interceptor only)

Enter the channel title in the “Channel Title” text box (maximum 20 characters).

To turn the channel on/off and to turn other channel features on/off, check/uncheck their respective check boxes. For additional information see Running Channels

Setting the Watchdog Alarm

The Watchdog Alarm is a function that alerts the user if and when a watchdog capcode (one that is transmitted on a regular basis) fails to be received during a set time interval. Only one alarm for only one capcode can be set per channel.

For details see Set Watchdog Alarm.

Changing Channel Setups - Interceptor Only

In the Interceptor system, receiver settings are controlled by the Interceptor software.

To change the Receiver Hardware channel frequency, enter a new value into the “Frequency” control. Value of the frequency must be entered in MHz.

To change the Receiver Hardware channel paging protocol, select appropriate value from the “Protocol” control.

Click the “Apply” button.

Warning: You must save your changes, before you attempt to apply them.

You will normally get a response message from the Receiver Hardware. If you get an error message, click the “Apply” button again. You can repeat this procedure until you get a success message.

If you notice that you are not receiving messages on a certain frequency, repeat above procedure.


Set Alarm

Set Watchdog Alarm

The Watchdog Alarm is a feature of LogPage/Interceptor application that alerts the user to the failure of a specific capcode to be received in a given interval of time. This facility is used for network monitoring.

The user can set multiple alarms on every channel.

Every watchdog alarm is defined by a capcode and a monitoring interval. If the selected capcode does not appear in the selected time interval the application will raise an alarm. Whenever the capcode appears, it will reset the alarm timer to the beginning of the interval. It will also stop any previously raised alarm if it has not already been cancelled by the user.

The alarm can be additionally defined by one or more words that appear in the message. In that case the alarm will be raised if the selected capcode and predefined word(s) do not appear in the selected time interval

The alarm will be shown as a flashing icon on the toolbar, next to the channel number. It will be accompanied by a sound.

It can also bring up a popup form and send a page, email and SMS message to the designated users.

Select ‘Settings|Set Channel’ and on the “Edit Channel” form select the “Set Alarm” button or select the "Watchdog Alarm" item on the channel menu.

In Interceptor you must also select a channel before selecting the Watchdog Alarm button

Edit Alarm Dialog Layout

The “Edit alarm” dialog consists of three panels. The left panel is a tree-like list of all alarm settings available. The middle panel shows values for the selected setting. The right panel contains editing command buttons.

Selected Node (left panel)

Feature (middle panel)
Alarms | Displays all existing alarms and some of their setting values in the grid
Selected Alarm | Displays basic alarm settings
Sound | Alert sound settings for the selected alarm
Paging | Paging messages settings for the selected alarm
Email | Email messages settings for the selected alarm
Mobile | SMS messages settings for the selected alarm
Popup Alert | Popup alert form settings for the selected alarm
Alarm Summary | Displays summary of the selected alarm settings
Alarm Display | Settings for the channel alarm visual warning on the main form
Set Grid | Customizing grid that displays all existing alarms

Add New Alarm

Click on the “New” button in the ‘Edit Alarm’ dialog box.

Shortcut: Ctrl+N

The “Selected Alarm” node becomes selected and the middle panel shows criteria for the new alarm.

Enter an alarm name in the “Alarm Name” box.

Edit Alarm

Selecting Alarm for Editing

Click on the “Alarms” node in the left panel to get the grid with all existing alarms displayed.

Select the alarm you wish to edit in the grid.

Selected Alarm

Select the “Selected Alarm” node to get the panel with the basic alarm settings.

Capcode

Enter the alarm capcode that you are testing into the “Alarm Capcode” control.

Message Text Search

If it is possible to receive pages from more than one transmitter per channel at the logging location, and all (or some) of the transmitters use the same capcode for their watchdog alarm message, you may change the content of the messages sent through each transmitter in order to identify the transmitter by the text contained in the message

In that case select the "Use Message Text" control in the "Identify Alarm by Message" group of controls. Enter a text string you are searching for in received messages into the “Search For” control. The string can be a single word, a phrase or several unrelated words. Select a type of search in the “Find” control.

  1. Any Word – search criteria will be satisfied if any word from the search string is found in a message.
  2. All Words – search criteria will be satisfied only if all words from the search string are found in a message, but not necessarily in the same order.
  3. Exact Phrase – search criteria will be satisfied only if all words from the search string are found in a message and in the same order.

If you check the “Whole Words Only” check box, then the alarm will look only for standalone words from the search phrase

E.g. the word “gun” would not be recognized in the word “gunmen”.

Otherwise, the alarm will look for any partial match in any word in a message.

Interval

Set alarm time interval, using the “Alarm Interval” group of controls.
This is the time the application will wait for the capcode to appear, before raising the alarm. Maximum time is 240 minutes (4 hours) and 59 seconds.

Note: If you set either the capcode or the time to ‘zero’, the program will consider the alarm as disabled.

To enable the alarm check the “Enabled” check box. If this control is not checked, the program will disregard the alarm.

Alarm Sound

Select the “Sound” node to get the panel with the alarm sound settings.

Set alarm sound by entering values into the “Alarm Sound” group of controls. Every alarm on every channel may have a different sound associated with it.

You can create your custom sound or you can play a pre-recorded wave file. The difference is that, after the alarm is raised, the custom sound is played every repeat interval whilst the wave file will play only once.

Another difference is that the custom sound does not require a sound card. If you use a wave file, a sound card and speaker must be installed on the PC.

Custom Sound

If you wish to create a custom sound, select the “Custom Sound” radio button.

Enter a value for the sound frequency (in Hertz) into the “Sound Frequency” control and sound duration (in milliseconds) into the “Sound Duration” control. These two values combined will create your custom sound.

Wave File

If you want to use a pre recorded wave sound file, select the “Wave File” radio button.

To set your own wave file for the alarm, enter a path to a desired file into the “Wave File” control or press the “Find” button to use a usual Windows file search facility.

After you select a file the application will check that it is a correct sound file format. In the case of an incorrect file format, you will get an error message and the program will not allow you to use that file.

When the file is assigned to the alarm, you will see the length of the sound it contains, in the “File Length” control.

Test Sound

To test your alarm settings, click the “Play” button. You do not have to save your settings to test them.

You will see the alarm icon flashing according to your alarm display settings and you will hear the selected sound. If you have selected a custom sound it will be repeated every repeat interval. The wave file will be played only once.

If you are not satisfied with your settings press the “Stop” button to stop the test, change your settings and test them again.

Send Page Message

When the program raises the alarm, it can send a message to the designated pager numbers.

Select the “Paging” node to get the panel with the selected alarm paging settings.

Warning: When you select the “Paging” node, all editing controls in the right panel (buttons “New”, “Cancel”, “Delete”) refer to the paging functionality not to the alarm.

Click on the “New” button to add a pager number to the list.

To delete the number from the list, select it and click the “Delete” button.

To create or edit a page message for the respective pager number, select the number in the “Send Page” control

Edit message as described in “Set Alert Message”

To test formatting result, select the “Show” button.

For a complete test (sending formatted message with test data to the selected pager number), select the “Send” button.

Warning: Before you attempt to send the test page, be sure that the paging functionality is set and enabled for the whole application. see Set System - Paging

To enable paging for the selected alarm check the “Paging Enabled” control.

All pager numbers are checked to ensure they are valid pager numbers.

LogPage/Interceptor does not impose any limits on the number of pagers assigned to the alarm.

Send Email Message

When the program raises the alarm, it can send an email message to the designated email addresses.

Select the “Email” node to get the panel with the selected alarm email settings.

Warning: When you select the “Email” node, all editing controls in the right panel (buttons “New”, “Cancel”, “Delete”) refer to the email functionality not to the selected alarm.

Click on the “New” button to add an email address to the list.

To delete the email address from the list, select it and click the “Delete” button.

Enter an email subject into the “Email Subject” control.

To create or edit an email message for the respective email address, select the address in the “Send Email” control.

Edit message as described in “Set Alert Message”

To test formatting result, select the “Show” button.

For a complete test (sending formatted message with test data to the selected email number), select the “Send” button.

Warning: Before you attempt to send the test email, be sure that the email functionality is set and enabled for the whole application. see Set System - Email

To enable email for the selected alarm check the “Email Enabled” control.

All email addresses are checked to ensure they are properly formatted email addresses.

LogPage/Interceptor does not impose any limits on the number of email address assigned to the alarm. You should be aware that sending to many email messages at once could be a burden for your SMTP server and it may reject them. If you are not sure about this, talk to your network administrator.

Send SMS Message

When the program raises the alarm, it can send a text message to the designated mobile phone numbers.

Select the “Mobile” node to get the panel with the selected alarm SMS settings.

Warning: When you select the “Mobile” node, all editing controls in the right panel (buttons “New”, “Cancel”, “Delete”) refer to the SMS functionality not to the alarm.

Click on the “New” button to add a mobile number to the list.

To delete the number from the list, select it and click the “Delete” button.

To create or edit a SMS message for the respective mobile number, select the number in the “Send SMS Message” control

Edit message as described in “Set Alert Message”

To test formatting result, select the “Show” button.

For a complete test (sending formatted text message with test data to the selected mobile number), select the “Send” button.

Warning: Before you attempt to send the test message, be sure that the SMS functionality is set and enabled for the whole application. see Set System - Mobile

To enable SMS for the selected alarm check the “SMS Enabled” control.

All mobile numbers are checked to ensure they are valid mobile numbers.

LogPage/Interceptor does not impose any limits on the number of mobiles assigned to the alarm.

Alarm Popup Form

When the program raises the alarm, it can also display a popup box to warn the user. Every alarm on every channel (Interceptor only) can be assigned its own popup alert, with basic information about the cause of the alarm.

To set a popup alert for the alarm, click on the “Set Popup Form” button. see Set Popup Alert.

Alarm Summary

Displays summary of all settings for the selected alarm.

Shortcut: Ctrl+I or double-click on the alarm in the grid.

Alarm Display

Sets display of the alarm visual alert on the main form. The alarm visual alert is set per channel and it is used for all alarms on one channel.

The user can set an image that will be displayed on the main toolbar next to the channel number when the watchdog alarm raises an alarm.

To achieve a flashing effect, the user needs to select two different images - "On Image" and "Off Image".

Select the image you want to set and select the "Find" button (shortcut: Ctrl+F). Use the windows "open file" feature to find a bitmap for the selected image type.

For the flashing effect you must enter a value in the "Flash Interval" control. The program will switch between bitmaps every selected interval. The interval is expressed in milliseconds. Maximum value is 2,000 ms (2 seconds) and minimum is 100 ms.

To see the effect use the "Start" button in the "Demo" group of controls. To stop the demo select the "Stop" button.

Set Grid

To set the grid that displays all existing alarms, click on the “Set Grid” node. see Set Grid

For some quick changes to the grid display see:

  1. Displaying/Hiding Columns
  2. Resizing Columns
  3. Changing Column Position

Sorting Grid

Displayed grid data can be sorted on some columns (where it make sense) in ascending or descending order.

To sort a grid column, just click on its title. If the column is sortable, every time you click it will toggle between ascending and descending sorting order.

If you want more control over the sorting order, right click on the column title and select the "Sort Ascending" or the "Sort Descending" item from the popup menu.

If those items are disabled, that means that the selected column is not sortable.

Save Alarm

None of the changes you make to the alarm settings are saved automatically. If you have entered some changes, the “Save” button will become enabled. If you wish them to take effect in the program, you must save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning:

If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Cancel Changes

If you are not satisfied with changes to the alarm and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.


Set Demo

LogPage/Interceptor has an inbuilt demonstration facility that emulates the incoming messages of the Receiver Hardware for testing and training purposes.

Select ‘Settings|Set Demo’.

Shortcut: Ctrl+D
Hot Keys: Alt+S,D

The demo facility uses a stored text file to generate the messages. To change the file, press the “Find” button. You may select any text (TXT) file. The system will parse and format it to produce messages.

If you wish demo messages to be saved (e.g. for testing the database or reports), check the “Save Demo Messages” check box. It is recommended that these messages are deleted before you start to run the application for real message logging. see Messages - Delete Messages Permanently

The demo engine parses the selected file into file lines (on the line break character). The user can select a number of file lines that will make up a demo message (minimum = 1; maximum = 5).

Messages will be created and displayed on a set time interval. To set the interval between messages, enter a value into the “Msg Time Delay” control. Values are expressed in milliseconds (1 second = 1,000 milliseconds).

Every message has a channel number. You can generate channel numbers sequentially (1,2,3,4) or randomly. Select appropriate value in the “Generate Channel Numbers” group of controls. (Interceptor only). The LogPage demo engine will only generate messages on channel 1.

The demo engine will always generate a capcode for every message. You can set the range that capcodes will be selected from. Enter capcode value for the start of the range into the “From” control and for the end of the range into the “To” control. Capcodes will be selected within that range randomly.

The demo facility can be also used to test the watchdog alarm feature. see Watchdog Alarm

Enter an alarm capcode into the "Alarm Capcode" control and the demo engine will generate the message with that capcode for every interval value entered into the "Interval" group of controls. Interval values are entered in minutes and/or seconds (max value is 180 min and 59 sec). If the interval value is set to 'zero', the message with the alarm capcode will not be created.

Save Demo

Changes to values are not saved automatically
If you wish to save them press the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning:

If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Cancel Changes

If you are not satisfied with changes to the demo and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.


Reports

LogPage/Interceptor has an inbuilt reporting engine that allows the user to set report query values, to generate reports, display the results and save to a CSV file. Any report can be also set to be generated automatically by the program at the user’s defined time interval and sent as an email attachment to the designated email address.

Select ‘Reports|Reports’ or click on the “Reports” toolbar button to run the reporting engine

Shortcut: F8
Hot Keys: Alt+E,R

The reporting software opens in a separate window and can be managed in parallel with the application. Running reports does not stop logging of messages and does not interfere with it in any way.

When the report engine opens, it will display an empty window and all existing report templates in the combo box on the toolbar. If there are no reports already created, you will see the text ‘No Reports’ in the combo.

You can also run the existing report directly from the main form.

Select “Reports” on the Main menu and select the report name from the drop down menu. The report engine will run that report, open the reporting software window and display the report result in a new window.

Closing Report Engine

If you close the reporting tool the application will remember all open reports and their arrangement but only for the duration of the program session so you can later return to finish what you have started.

If you close the main program the reporting tool will be closed as well.

  • Edit Report
  • Run Report
  • Save Report To File
  • Report Window


Set Report

Most of the report functions are set up similarly to the filtering functions.

Edit Report Dialog Layout

The “Edit Report” dialog consists of three panels. The left panel is a tree-like list of all report settings available. The middle panel shows values for the selected setting. The right panel contains editing command buttons.

Selected Node (left panel)

Feature (middle panel)
Reports | Displays all existing reports and some of their setting values in the grid
Selected Report | Basic settings for the selected report
Filter | Criteria for the filter used in the report
Colours | Background and font colours for the selected report
Email | Email messages settings for the auto report
Channels | Channels that the selected report is valid for
Report Summary | Displays summary of the selected report settings
Run | Run selected report
Report Window | Settings for the window the report will be displayed in
Set Grid | Customizing grid that displays all existing reports

New Report

To create a new report, select ‘Report|New’ or click the “New” button on the toolbar

You can also create a new report by selecting the “New” button, while in the “Edit Report” dialog.

Shortcut: Ctrl+N
Hot Keys: Alt+R,N

For setting report values see Edit Report.

Edit Report

To edit the report select it in the combo box on the toolbar.

Select ‘Report|Edit’, or click on the “Edit” button on the toolbar

Shortcut: Ctrl+E

Hot Keys: Alt+R,E

Once the “Edit Report” form opens, you can change the report you are editing.

To change the report, click on the “Reports” node in the left panel to get the grid with all existing reports displayed.

Select the report you want to edit in the grid.

Basic Settings

Select the “Selected Report” node to get panel with basic report settings.

Enter the name of the report into the “Report Name” control. Maximum number of characters is 30.

Report Period

To select stored messages by their date, enter values into the “Report for Period” group of controls.

Select from the “Show Messages” between:

  • All Messages – it will give you all messages that match filtering criteria below, regardless of their date.
  • Dates Between – it will give you all messages that match filtering criteria below, that fall between dates selected in the “Date From” (inclusive) and “Date To” (inclusive) controls.
  • Dates Before – it will give you all messages that match filtering criteria below, before date selected in the “Dates Before” (exclusive) control.
  • Dates After – it will give you all messages that match filtering criteria below, after date selected in the “Dates After” (exclusive) control.

Auto Report

LogPage/Interceptor can also create and send reports automatically.

To do so, check the “Enabled” control in the “Auto Report” group of controls.

If you wish your report to be created on a daily basis, select the “Daily” control, enter a day interval into the “Every” control and the time the report should be generated and sent into the “At” control.

If you wish your report to be created on an hourly basis, select the “Hourly” control, enter an hour interval into the “Every” control and the time the system should start to generate and send reports into the “Start At” control.

You must also set at least one valid email address for the auto report to work properly

Note: When the auto report is enabled, the whole “Report for Period” group of controls are disabled. That is because the auto report engine does not use these settings. Every auto report is always generated for the period between two runs.

Sort Report

If you wish your report to be sorted in any particular order, select the "Enabled" check box in the "Sort Report" group of control.

Select a sort order in the "Sort Order" control to sort your report either in the ascending or descending order.

Select a field in the "Sort On Field" control on which values you want your report to be sorted.

Note: If sorting is enabled it will be applied whether you run your report manually or automatically.

Report Filter

Select the “Filter” node to get panel with the report filter criteria.

Select a filter type in the “Filter Type” control.

Depending on the filtering type selected, you will get different type of filtering controls.

  1. Capcode Filter
  2. Text Filter
  3. Combo Filter

Colours

Every report can be assigned a different background and font colour.

Select the “Colours” node to get the panel with the selected report colour settings.

Click on the “Fill” button and select a background colour for that report.

Click on the “Font” button and select a font colour for that report.

You can see how these colours match in the text box above the button.

Email

When the auto report is created, it will be saved to a temporary file, and the report engine will generate email messages for every entered address, attach the file to the messages and remove the file from the hard drive afterwards.

Select the “Email” node to get the panel with the selected report email settings.

Warning: When you select the “Email” node, all editing controls in the right panel (buttons “New”, “Cancel”, “Delete”) refer to the email functionality not to the selected report.

Click on the “New” button to add an email address to the list.

To delete the email address from the list, select it and click the “Delete” button.

Enter an email subject into the “Email Subject” control.

To create or edit an email message for the respective email address, select the address in the “Email Address” control.

Edit message as described in “Set Alert Message”

To test formatting result, select the “Show” button.

For a complete test (sending formatted message with test data to the selected email number), select the “Send” button.

Warning: Before you attempt to send the test email, be sure that the email functionality is set and enabled for the whole application. See Set System - Email

Email functionality for the selected report is enabled only when the auto report functionality is enabled.

All email addresses are checked to ensure they are properly formatted email addresses.

LogPage/Interceptor does not impose any limits on the number of email address assigned to the report. You should be aware that sending to many email messages at once could be a burden for your SMTP server and it can reject to process them. If you are not sure about that, talk to your network administrator.

Channels

Select the “Channels” node to get the panel with the selected report channel settings.

Select the channels that the report is enabled for.

Note: In the LogPage application only the “Channel 1” control is enabled.

Report Summary

Displays summary of all settings for the selected report.

Shortcut: Ctrl+I.

Run

To run report immediately from the "Report Edit" form, select the "Run" node.

The "Report Edit" form will be closed and the report result will be shown in the new "Report Window"

Report Window

To set the “Report Window” for all reports, select the “Report Window” node. see Report Window and Set Report Window

Note: When you set the report window, these setting will be applied to all reports.

Set Grid

To set the grid that displays all existing reports, click on the “Set Grid” node. see Set Grid

For some quick changes to the grid display see:

  1. Displaying/Hiding Columns
  2. Resizing Columns
  3. Changing Column Position

Sorting Grid

Displayed grid data can be sorted on some columns (where it make sense) in ascending or descending order.

To sort a grid column, just click on its title. If the column is sortable, every time you click it will toggle between ascending and descending sorting order.

If you want more control over the sorting order, right click on the column title and select the "Sort Ascending" or the "Sort Descending" item from the popup menu.

If those items are disabled, that means that the selected column is not sortable.

Save Report

None of changes you make to the report settings are saved automatically. If you have entered some changes, the “Save” button will become enabled. If you wish them to take effect in the report, you must save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning:

  • If you select another report without saving changes, your modifications will be lost.
  • If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Delete Report

To delete selected report, select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the report will be deleted permanently and the option to delete it or not. If you choose to delete it anyway, the report will be deleted permanently.

Cancel Changes

If you are not satisfied with changes to the report and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.


Report Run

Run Report

To run the report select it in the combo box on the report toolbar

Select ‘Report|Run’, or click on the “Run” button on the toolbar

Shortcut: F5
Hot Keys: Alt+R,R

You can also run your report directly from the "Edit Report" form, by selecting the "Run" node.

After the reporting engine generates the report, result is displayed in a separate report window.


Report Window

After you create the report, the result will be displayed in a grid in a new window, and its name will be selected in the combo box on the toolbar.

You can run multiple reports at the same time. They will be opened as separate windows within the report generator.

To select displayed report, either click on it or select its name in the combo box on the toolbar, or go to ‘Window’ and select its name from the list of opened reports. Its window will become focused (even if it was minimized).

To close a focused report, select ‘Report|Close’, or click on the “Close” button on the toolbar

Shortcut: Ctrl+W
Hot Keys: Alt+R,C

To close all opened reports, select ‘Reports|Close All’, or click on the “Close All” button on the toolbar
Shortcut: Ctrl+A
Hot Keys: Alt+R,A

Arranging Reports

You can arrange all open reports in different ways to make them more accessible.

  • Select ‘Window|Tile Vertical’ to arrange them as vertical tiles.
  • Select ‘Window|Tile Horizontal’ to arrange them as horizontal tiles.
  • Select ‘Window|Cascade’ to arrange them in a cascading order.
  • Select ‘Window|Minimize All’ to minimize all reports.
  • Select ‘Window|Arrange All’ to arrange icons of the minimized reports.

Set Report Window

To set the way your reports will be displayed, select the "Report Window" button on the toolbar

Shortcut: F2

All above command will open Set Grid dialog.

It will enable you to set:

  • Report background colour (default for all reports)
  • Report columns to be displayed, their title, width and position
  • Report font type, size and colour

All above settings will be used as a template for all reports created in future.

If you have some reports already displayed, their settings will be changed accordingly.

You can also access these settings from the "Set Reports" dialog, by selecting the "Report Window" node

To make some quick changes to the displayed report, see:

  1. Displaying/Hiding Columns
  2. Resizing Columns
  3. Changing Column Position

All those changes will be stored automatically and used as a template for all reports created in future, but they will not affect other currently displayed reports.

Sorting Displayed Report

Displayed report data can be sorted on every column in ascending or descending order.

To sort a grid column, just click on its title. Every time you click it will toggle between ascending and descending sorting order.

If you want more control over the sorting order, right click on the column title and select the "Sort Ascending" or the "Sort Descending" item from the popup menu.


Report Save to File

Export Report To File

To save the report to a file, select the report from the combo box on the toolbar

Select ‘File|Export to File', or click on the “Export to File” button on the toolbar

Shortcut: Ctrl+S
Hot Keys: Alt+F,E

In the “File Save” dialog box enter the file name in the “File Name” control (you do not need to enter a file extension) and press the “Save” button or the “Enter” key.

All files are saved as Comma Separated Values (CSV) files which may be opened in a spreadsheet or database application .


Shortcuts

User
Log on as different user | Ctrl+L
Set your account | Ctrl+A
Change password | Ctrl+P
File
Export Filters | Ctrl+X
Import Filters | Ctrl+I
Exit | Alt+F4
Display
Show/Hide Toolbar | Shift+Ctrl+T
Show/Hide Status Bar | Shift+Ctrl+S
Show/Hide Full Message | Shift+Ctrl+M
Show Full Screen | Ctrl+PgUp
Show Normal Screen | Ctrl+PgDown
Run
Run | F5
Run Demo | Ctrl+F5
Stop | F6
Pause/Resume | Ctrl+F6
Open Report Tool | F8
Messages
Clear Display | Ctrl+F2
Delete All Messages | Shift+Ctrl+Del
Delete Old Messages | Ctrl+Del
Refresh Display | Ctrl+F3
Copy Selected Message | Shift+Ctrl+C
Go To First Row | Home
Go To Next Row | Right or Down Arrow
Go To Last Row | End
Go To Previous Row | Left or Up Arrow
Settings
Set System | Ctrl+S
Set User | Ctrl+U
Set Filter | Ctrl+F
Set Grid | Ctrl+G
Set Channel | Ctrl+C
Set Demo | Ctrl+D
Channel
Interceptor Channel (1,2,3,4) On/Off | Ctrl+(1,2,3,4)
LogPage Channel On/Off | Ctrl+1
Interceptor Stop Alarm On Channel (1,2,3,4) | Shift+Ctrl+F(1,2,3,4)
LogPage Stop Alarm On Channel 1 | Shift+Ctrl+F1
Stop Alarm On All Channels | Ctrl+Space
Edit Dialogs
New | Ctrl+N
Delete | Ctrl+Del
Cancel | Ctrl+Q
Save | Ctrl+S or Enter
Close | Escape
Report
Run Report | F5
New Report | Ctrl+N
Edit Report | Ctrl+E
Export Report to File | Ctrl+S
Close Report Window | Ctrl+W
Close All Reports | Ctrl+A
Set Report Window | F2
Filter Export/Import Dialog
Export To File | Ctrl+E
Find Filter File | Ctrl+F
View Selected Filter | Ctrl+V
Import From File | Ctrl+I
Close | Escape


Set Alert Message

The alert message is a message that is presented to the user after a system event. That event could be a filter hit, an occurrence alert, raising of the watchdog alarm or sending an auto-report. The message could be an email message, a pager message, a SMS message, a popup alert message or a message logged into a file. All of them share the same characteristics and they are created and edited in the same way.

The message is a combination of literal text entered by the user and variable fields filled in by the system.

For example:

Formatted message:
Filter alert for the "<Filter Name>" on <Date/Time> with message: "<Message Text>"

Final result:
Filter alert for the "Test Filter" on 02/02/07 10:05:01 with a message: "Popup test message for "Test Filter" filter"

In this example the filter name value is “Test Filter”, the event happened on 02/02/2007 at 10:05:01 am and that the message content was “Popup test message for "Test Filter" filter”

The message editing tool comprises a large area for entering a text (titled “Message Format”), the “Variable Fields” combo box for selecting available variable fields and the “Add” button for adding selected variable field to the text.

To create a message

  1. Enter the text that you wish to appear in the message.
  2. Position the cursor where you want a variable field to appear in the text.
  3. Select a field in the “Variable Fields” control.
  4. Click on the “Add” button.

Steps 3 and 4 can be replaced by right-clicking into the editing control and selecting the field name from the popup menu.

The name of the field appears in the text, surrounded by tags (e.g.<field_name>). Leave it as it is because those tags tell the system that it is dealing with the field name and that it has to replace that name with the current system value.

You can also type the whole message (including variable fields) directly. But you must be aware of few things:

  • You can use only field names displayed in the “Variable Fields” control
  • Spelling must be correct (including spaces)
  • Field name must be surrounded with tags
  • Case does not matter

The system will honour any space or new line that you have entered, so you can format the message any way you like.

Note: If the tool is part of the email editing tool, you can use it to create the email subject field in the same way. Just position the cursor into the "Email Subject" control instead.

You can also see how your message will look like with real data entered.

Select the button with “Test” or “Show” caption (depending on dialog box you are using) and the whole message, with variable fields replaced by test data, will popup in a separate window.

You do not need to save your message format before testing.